﻿--[[
Name: Babble-Spell-2.2
Revision: $Rev: 25188 $
Author(s): ckknight (ckknight@gmail.com)
Website: http://ckknight.wowinterface.com/
Documentation: http://wiki.wowace.com/index.php/Babble-Spell-2.2
SVN: http://svn.wowace.com/root/trunk/Babble-2.2/Babble-Spell-2.2
Description: A library to provide localizations for spells.
Dependencies: AceLibrary, AceLocale-2.2
	Ä : \195\132
	Ë : \195\139
	Ö : \195\150
	Ü : \195\156
	
	ä : \195\164
	ë : \195\171
	ö : \195\182
	ü : \195\188
	
	ß : \195\159
]]

local MAJOR_VERSION = "Babble-Spell-2.3"
local MINOR_VERSION = tonumber(string.sub("$Revision: 25188 $", 12, -3))

if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary") end
if not AceLibrary:HasInstance("AceLocale-2.2") then error(MAJOR_VERSION .. " requires AceLocale-2.2") end

local _, x = AceLibrary("AceLocale-2.2"):GetLibraryVersion()
MINOR_VERSION = MINOR_VERSION * 100000 + x

if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end

local BabbleSpellED = AceLibrary("AceLocale-2.2"):new(MAJOR_VERSION)

-- uncomment below for debug information
-- BabbleSpellED:EnableDebugging()

BabbleSpellED:RegisterTranslations("enUS", function()
    return {}
end)

BabbleSpellED:RegisterTranslations("deDE", function()
    return {}
end)

BabbleSpellED:RegisterTranslations("frFR", function()
    return {}
end)

BabbleSpellED:RegisterTranslations("zhCN", function()
    return {}
end)

BabbleSpellED:RegisterTranslations("zhTW", function()
    return {}
end)

BabbleSpellED:RegisterTranslations("koKR", function()
    return {}
end)

local spellIcons = {
	["Abolish Disease"]="Spell_Nature_NullifyDisease",
	["Abolish Poison Effect"]="Spell_Nature_NullifyPoison_02",
	["Abolish Poison"]="Spell_Nature_NullifyPoison_02",
	["Acid Breath"]="Spell_Nature_Acid_01",
	["Acid of Hakkar"]="Spell_Nature_Acid_01",
	["Acid Slime"]="Spell_Nature_Acid_01",
	["Acid Spit"]="Spell_Nature_CorrosiveBreath",
	["Acid Splash"]="INV_Drink_06",
	["Acid Volley"]="Spell_Nature_Acid_01",
	["Activate MG Turret"]="INV_Weapon_Rifle_10",
	["Admiral's Hat"]="INV_Misc_Horn_03",
	["Adored"]="INV_ValentinesBoxOfChocolates02",
	["Adrenaline Rush"]="Spell_Shadow_ShadowWordDominate",
	["Advanced Target Dummy Spawn Effect"]="Spell_Shadow_Teleport",
	["Aegis Heal"]="Spell_Holy_BlessingOfProtection",
	["Aegis of Preservation"]="Spell_Holy_BlessingOfProtection",
	["Aftermath"]="Spell_Fire_Fire",
	["Agamaggan's Agility"]="Spell_Nature_Windfury",
	["Agamaggan's Strength"]="Spell_Nature_Strength",
	["Aggression"]="Ability_Racial_Avatar",
	["Agility"]="INV_Potion_93",
	["Agonizing Pain"]="Ability_GhoulFrenzy",
	["Aimed Shot"]="INV_Spear_07",
	["Alchemy"] = "Trade_Alchemy",
	["Alterac Spring Water"]="Spell_Holy_LayOnHands",
	["Ambush"]="Ability_Rogue_Ambush",
	["Amnennar's Wrath"]="Ability_Kick",
	["Amplify Curse"]="Spell_Shadow_Contagion",
	["Amplify Damage"]="Spell_Nature_AbolishMagic",
	["Amplify Flames"]="Spell_Fire_Fireball",
	["Amplify Magic"]="Spell_Holy_FlashHeal",
	["Ancestor's Vengeance"]="INV_Spear_08",
	["Ancestral Healing"]="Spell_Nature_UndyingStrength",
	["Ancestral Knowledge"]="Spell_Shadow_GrimWard",
	["Ancestral Spirit"]="Spell_Nature_Regenerate",
	["Ancient Despair"]="Spell_Shadow_MindSteal",
	["Ancient Dread"]="Spell_Shadow_CurseOfTounges",
	["Ancient Hysteria"]="Spell_Shadow_UnholyFrenzy",
	["Anger Management"]="Spell_Holy_BlessingOfStamina",
	["Anticipation"]="Spell_Nature_MirrorImage",
	["Antimagic Pulse"]="Spell_Holy_DispelMagic",
	["Anti-Magic Shield"]="Spell_Shadow_AntiMagicShell",
	["Anti-Venom"]="Spell_Nature_NullifyPoison_02",
	["Aqua Jet"]="Spell_Frost_ChillingBlast",
	["Aquatic Form"]="Ability_Druid_AquaticForm",
	["Arcane Blast"]="Spell_Shadow_DeathPact",
	["Arcane Brilliance"]="Spell_Holy_ArcaneIntellect",
	["Arcane Bolt"]="Spell_Arcane_StarFire",
	["Arcane Bomb"]="Spell_Holy_Silence",
	["Arcane Burst"]="Spell_Nature_WispSplode",
	["Arcane Concentration"]="Spell_Shadow_ManaBurn",
	["Arcane Detonation"]="Spell_Arcane_StarFire",
	["Arcane Elixir"]="INV_Potion_30",
	["Arcane Eruption"]="Spell_Arcane_PortalIronForge",
	["Arcane Explosion"]="Spell_Nature_WispSplode",
	["Arcane Focus"]="Spell_Holy_Devotion",
	["Arcane Infused"]="Spell_Nature_WispSplode",
	["Arcane Instability"]="Spell_Shadow_Teleport",
	["Arcane Intellect"]="Spell_Holy_MagicalSentry",
	["Arcane Meditation"]="Spell_Shadow_SiphonMana",
	["Arcane Mind"]="Spell_Shadow_Charm",
	["Arcane Missiles"]="Spell_Nature_StarFall",
	["Arcane Missile"]="Spell_Nature_StarFall",
	["Arcane Potency"]="Spell_Arcane_StarFire",
	["Arcane Power"]="Spell_Nature_Lightning",
	["Arcane Protection"]="Spell_Holy_PrayerOfHealing02",
	["Arcane Protection "]="Spell_Holy_PrayerOfHealing02",
	["Arcane Resistance"]="Spell_Magic_MageArmor",
	["Arcane Shot"]="Ability_ImpalingBolt",
	["Arcane Shroud"]="Spell_Magic_LesserInvisibilty",
	["Arcane Subtlety"]="Spell_Holy_DispelMagic",
	["Arcane Weakness"]="INV_Misc_QirajiCrystal_01",
	["Arcing Smash"]="Ability_Warrior_Cleave",
	["Arctic Reach"]="Spell_Shadow_DarkRitual",
	["Area Burn"]="Spell_Fire_SelfDestruct",
	["Argent Avenger"]="Spell_Lightning_LightningBolt01",
	["Argent Dawn"]="Spell_Holy_DevotionAura",
	["Argent Dawn Commission"]="INV_Jewelry_Talisman_07",
	["Armageddon"]="Spell_Fire_SelfDestruct",
	["Armor"]="Ability_Warrior_DefensiveStance",
	["Armor of Faith"]="Spell_Holy_BlessingOfProtection",
	["Armor Shatter"]="INV_Axe_12",
	["Arugal's Curse"]="Spell_Shadow_GatherShadows",
	["Arugal's Gift"]="Spell_Shadow_ChillTouch",
	["Ascendance"]="INV_Misc_Gem_Pearl_04",
	["Ashbringer"]="INV_Sword_2H_AshbringerCorrupt",
	["Aspect of Arlokk"]="Ability_Vanish",
	["Aspect of Jeklik"]="Spell_Shadow_Teleport",
	["Aspect of Mar'li"]="Ability_Smash",
	["Aspect of the Beast"]="Ability_Mount_PinkTiger",
	["Aspect of the Cheetah"]="Ability_Mount_JungleTiger",
	["Aspect of the Hawk"]="Spell_Nature_RavenForm",
	["Aspect of the Monkey"]="Ability_Hunter_AspectOfTheMonkey",
	["Aspect of the Pack"]="Ability_Mount_WhiteTiger",
	["Aspect of the Wild"]="Spell_Nature_ProtectionformNature",
	["Aspect of Venoxis"]="Spell_Nature_CorrosiveBreath",
	["Astral Recall"]="Spell_Nature_AstralRecal",
	["Attack"]="Spell_Fire_SearingTotem",
	["Attack Order"]="Ability_Hunter_SniperShot",
	["Attacking"]="Temp",
	["Attuned Dampener"]="Spell_Holy_SearingLight",
	["Aura of Agony"]="Spell_Shadow_CurseOfSargeras",
	["Aura of Command"]="INV_Banner_03",
	["Aura of Fear"]="Spell_Shadow_Haunting",
	["Aura of Flames"]="Spell_Fire_Fire",
	["Aura of Rot"]="Spell_Nature_NatureTouchDecay",
	["Aura of the Blue Dragon"]="INV_Misc_Head_Dragon_Blue",
	["Aural Shock"]="Spell_Shadow_Possession",
	["Auto Shot"]="Ability_Whirlwind",
	["Avatar of Flame"]="Spell_Fire_Incinerate",
	["Axe Flurry"]="INV_Axe_06",
	["Axe Toss"]="INV_Axe_04",
	["Axe Specialization"]="INV_Axe_06",
	["Aynasha's Arrow"]="Ability_Marksmanship",
	["Aynasha's Bow"]="Ability_Marksmanship",
	["Aynasha's Root"]="Spell_Nature_StrangleVines",
	["Backhand"]="INV_Gauntlets_05",
	["Backstab"]="Ability_BackStab",
	["Badge of the Swarmguard"]="INV_Misc_AhnQirajTrinket_04",
	["Ball Lightning"]="Spell_Lightning_LightningBolt01",
	["Bane"]="Spell_Shadow_DeathPact",
	["Baneful Poison"]="Spell_Nature_CorrosiveBreath",
	["Banish"]="Spell_Shadow_Cripple",
	["Banshee Curse"]="Spell_Nature_Drowsy",
	["Banshee Shriek"]="Spell_Shadow_ImpPhaseShift",
	["Banshee Wail"]="Spell_Shadow_ShadowBolt",
	["Barbed Sting"]="Spell_Nature_NullifyPoison",
	["Barkskin Effect"]="Spell_Nature_StoneClawTotem",
	["Barkskin"]="Spell_Nature_StoneClawTotem",
	["Barrage"]="Ability_UpgradeMoonGlaive",
	["Bash"]="Ability_Druid_Bash",
	["Basic Campfire"]="Spell_Fire_Fire",
	["Basilisk Skin"]="INV_Misc_MonsterScales_12",
	["Bat Costume"]="Ability_Rogue_Disguise",
	["Battle Command"]="Ability_Racial_BloodRage",
	["Battle Fury"]="Ability_Racial_BloodRage",
	["Battle Net"]="Ability_Ensnare",
	["Battle Shout"]="Ability_Warrior_BattleShout",
	["Battle Stance Passive"]="Ability_Warrior_OffensiveStance",
	["Battle Squawk"]="INV_Misc_BirdBeck_01",
	["Battle Stance"]="Ability_Warrior_OffensiveStance",
	["Battle Standard"]="INV_Fabric_FelRag",
	["Battlegear of Eternal Justice"]="Spell_Holy_RighteousnessAura",
	["Battlegear of Might"]="Spell_Nature_StoneClawTotem",
	["Bear Form"]="Ability_Racial_BearForm",
	["Beast Lore"]="Ability_Physical_Taunt",
	["Beast of the Unseen Path"]="Ability_Druid_Mangle",
	["Beast Slaying"]="INV_Misc_Pelt_Bear_Ruin_02",
	["Beast Training"]="Ability_Hunter_BeastCall02",
	["Befuddlement"]="Spell_Shadow_MindSteal",
	["Bellowing Roar"]="Spell_Fire_Fire",
	["Benediction"]="Spell_Frost_WindWalkOn",
	["Berserk"]="Ability_Racial_BloodRage",
	["Berserker Charge"]="Ability_Warrior_Charge",
	["Berserker Rage"]="Spell_Nature_AncestralGuardian",
	["Berserker Rage Effect"]="Spell_Nature_AncestralGuardian",
	["Berserker Stance Passive"]="Ability_Racial_Avatar",
	["Berserker Stance"]="Ability_Racial_Avatar",
	["Berserking"]="Racial_Troll_Berserk",
	["Bestial Discipline"]="Spell_Nature_AbolishMagic",
	["Bestial Swiftness"]="Ability_Druid_Dash",
	["Bestial Wrath"]="Ability_Druid_FerociousBite",
	["Big Bronze Bomb"]="Spell_Fire_SelfDestruct",
	["Big Iron Bomb"]="Spell_Fire_SelfDestruct",
	["Biletoad Infection"]="Spell_Holy_HarmUndeadAura",
	["Bile Retcher Slam"]="Ability_Devour",
	["Bile Vomit"]="Spell_Nature_Acid_01",
	["Bite"]="Ability_Racial_Cannibalize",
	["Black Arrow"]="Ability_TheBlackArrow",
	["Black March Blessing"]="Spell_Shadow_AntiMagicShell",
	["Black Rot"]="Spell_Holy_NullifyDisease",
	["Black Sludge"]="Spell_Shadow_CallOfBone",
	["Blackout"]="Spell_Shadow_GatherShadows",
	["Blacksmithing"] = "Trade_BlackSmithing",
	["Blade Flurry"]="Ability_Warrior_PunishingBlow",
	["Bladestorm"]="Ability_WhirlWind",
	["Blast Wave"]="Spell_Holy_Excorcism_02",
	["Blaze"]="Spell_Fire_Incinerate",
	["Blazerunner's Aura"]="Spell_Frost_FrostShock",
	["Blazing Emblem"]="Spell_Fire_FireArmor",
	["Blessed Recovery"]="Spell_Holy_BlessedRecovery",
	["Blessed Sunfruit"]="Spell_Holy_Devotion",
	["Blessed Sunfruit Juice"]="Spell_Holy_LayOnHands",
	["Blessing of Blackfathom"]="Spell_Frost_FrostWard",
	["Blessing of Freedom"]="Spell_Holy_SealOfValor",
	["Blessing of Kings"]="Spell_Magic_MageArmor",
	["Blessing of Light"]="Spell_Holy_PrayerOfHealing02",
	["Blessing of Might"]="Spell_Holy_FistOfJustice",
	["Blessing of Protection"]="Spell_Holy_SealOfProtection",
	["Blessing of Sacrifice"]="Spell_Holy_SealOfSacrifice",
	["Blessing of Salvation"]="Spell_Holy_SealOfSalvation",
	["Blessing of Sanctuary"]="Spell_Nature_LightningShield",
	["Blessing of Shahram"]="Spell_Holy_LayOnHands",
	["Blessing of the Black Book"]="Spell_Shadow_UnholyFrenzy",
	["Blessing of the Claw"]="Spell_Holy_BlessingOfAgility",
	["Blessing of Thule"]="Spell_Shadow_FingerOfDeath",
	["Blessing of Wisdom"]="Spell_Holy_SealOfWisdom",
	["Blight"]="Spell_Nature_NullifyDisease",
	["Blind"]="Spell_Shadow_MindSteal",
	["Blinding Light"]="Spell_Holy_SearingLight",
	["Blinding Powder"]="INV_Misc_Ammo_Gunpowder_02",
	["Blink"]="Spell_Arcane_Blink",
	["Blizzard"]="Spell_Frost_IceStorm",
	["Block"]="Ability_Defend",
	["Blood Craze"]="Spell_Shadow_SummonImp",
	["Blood Frenzy"]="Ability_GhoulFrenzy",
	["Blood Funnel"]="Spell_Shadow_LifeDrain",
	["Blood Fury"]="Racial_Orc_BerserkerStrength",
	["Blood Howl"]="Spell_Shadow_LifeDrain",
	["Blood Leech"]="Ability_Racial_Cannibalize",
	["Blood Pact"]="Spell_Shadow_BloodBoil",
	["Blood Siphon"]="Spell_Shadow_LifeDrain",
	["Blood Tap"]="Ability_Racial_Cannibalize",
	["Bloodfang"]="Spell_Shadow_LifeDrain",
	["Bloodlust"]="Spell_Nature_BloodLust",
	["Bloodpetal Poison"]="Spell_Nature_CorrosiveBreath",
	["Bloodrage"]="Ability_Racial_BloodRage",
	["Bloodthirst"]="Spell_Nature_BloodLust",
	["Boar Charge"]="Spell_Shadow_VampiricAura",
	["Bomb"]="Spell_Fire_SelfDestruct",
	["Bone Armor"]="Spell_Shadow_UnholyStrength",
	["Bone Barrier"]="Spell_Shadow_UnholyStrength",
	["Bone Shards"]="Spell_Shadow_ScourgeBuild",
	["Bone Shield"]="Spell_Shadow_CallOfBone",
	["Bone Smelt"]="Spell_Shadow_RaiseDead",
	["Bonereaver's Edge"]="Spell_Shadow_CurseOfSargeras",
	["Bonespike"]="INV_Shoulder_11",
	["Booming Voice"]="Spell_Nature_Purge",
	["Booze Spit"]="INV_Drink_05",
	["Bottle of Poison"]="Spell_Nature_CorrosiveBreath",
	["Boulder"]="INV_Stone_14",
	["Bow Specialization"]="INV_Weapon_Bow_12",
	["Bows"]="INV_Weapon_Bow_05",
	["Brain Damage"]="Ability_Gouge",
	["Brain Food"]="INV_Misc_Fish_21",
	["Brain Hacker"]="Ability_Gouge",
	["Brain Wash"]="Spell_Shadow_AntiMagicShell",
	["Breath"]="Spell_Fire_Fire",
	["Breath of Fire"]="Spell_Fire_Incinerate",
	["Bright Campfire"]="Spell_Fire_Fire",
	["Brilliant Light"]="Spell_Holy_MindVision",
	["Brood Affliction: Black"]="INV_Misc_Head_Dragon_Black",
	["Brood Affliction: Blue"]="INV_Misc_Head_Dragon_Blue",
	["Brood Affliction: Bronze"]="INV_Misc_Head_Dragon_Bronze",
	["Brood Affliction: Green"]="INV_Misc_Head_Dragon_Green",
	["Brood Affliction: Red"]="INV_Misc_Head_Dragon_01",
	["Brood Power: Black"]="Spell_Fire_Fire",
	["Brood Power: Blue"]="Spell_Nature_AstralRecal",
	["Brood Power: Bronze"]="Spell_Nature_AstralRecal",
	["Brood Power: Green"]="Spell_Nature_AstralRecal",
	["Brood Power: Red"]="Spell_Fire_Fire",
	["Brittle Armor"]="Spell_Shadow_GrimWard",
	["Bruise"]="Spell_Shadow_Teleport",
	["Bruising Blow"]="Ability_Rogue_KidneyShot",
	["Brutal Impact"]="Ability_Druid_Bash",
	["Burning Adrenaline"]="INV_Gauntlets_03",
	["Burning Soul"]="Spell_Fire_Fire",
	["Burning Spirit"]="Spell_Fire_Fire",
	["Burning Winds"]="Spell_Nature_Cyclone",
	["Burning Wish"]="Spell_Shadow_PsychicScream",
	["Burst of Energy"]="Spell_Holy_AshesToAshes",
	["Burst of Knowledge"]="INV_Jewelry_Amulet_07",
	["Butcher Drain"]="Spell_Shadow_SiphonMana",
	["Buttermilk Delight"]="INV_ValentinesChocolate01",
	["Cadaver Worms"]="Spell_Shadow_CreepingPlague",
	["Call Pet"]="Ability_Hunter_BeastCall",
	["Call of Flame"]="Spell_Fire_Immolation",
	["Call of the Grave"]="Spell_Shadow_ChillTouch",
	["Call of Thunder"]="Spell_Nature_CallStorm",
	["Calm Dragonkin"]="Spell_Nature_InvisibilityTotem",
	["Camouflage"]="Ability_Stealth",
	["Cannibalize"]="Ability_Racial_Cannibalize",
	["Cannon Fire"]="Spell_Fire_FireBolt02",
	["Capture Soul"]="Spell_Shadow_BlackPlague",
	["Cat Form"]="Ability_Druid_CatForm",
	["Cataclysm"]="Spell_Fire_WindsofWoe",
	["Cause Insanity"]="Spell_Shadow_ShadowWordDominate",
	["Cauterizing Flames"]="Spell_Fire_Volcano",
	["Cenarion Favor"]="Spell_Nature_RockBiter",
	["Chain Bolt"]="Spell_Nature_ChainLightning",
	["Chain Burn"]="Spell_Shadow_ManaBurn",
	["Chain Heal"]="Spell_Nature_HealingWaveGreater",
	["Chain Healing Wave"]="Spell_Nature_HealingWaveGreater",
	["Chain Lightning"]="Spell_Nature_ChainLightning",
	["Chained Bolt"]="Spell_Nature_ChainLightning",
	["Chains of Ice"]="Spell_Frost_ChainsOfIce",
	["Chains of Kel'Thuzad"]="INV_Belt_18",
	["Challenging Roar"]="Ability_Druid_ChallangingRoar",
	["Challenging Shout"]="Ability_BullRush",
	["Champion of the Dawn"]="INV_Misc_Token_ArgentDawn2",
	["Chaos Fire"]="INV_Misc_Gem_BloodStone_02",
	["Chaotic Focus"]="Spell_Fire_SealOfFire",
	["Charged Arcane Bolt"]="Spell_Arcane_StarFire",
	["Charge Rage Bonus Effect"]="Ability_Warrior_Charge",
	["Charge"]="Ability_Warrior_Charge",
	["Charge Stun"]="Spell_Frost_Stun",
	["Cheap Shot"]="Ability_CheapShot",
	["Cheat Death"]="Spell_Shadow_AnimateDead",
	["Chicken Fury"]="Spell_Shadow_UnholyFrenzy",
	["Chill"]="Spell_Frost_Glacier",
	["Chilled"]="Spell_Frost_FrostArmor02",
	["Chilling Touch"]="Spell_Frost_FrostArmor",
	["Chill Nova"]="Spell_Frost_FrostNova",
	["Chill Wind"]="Spell_Frost_ChillingBlast",
	["Chitinous Spikes"]="INV_Misc_AhnQirajTrinket_02",
	["Chromatic Infusion"]="Spell_Holy_MindVision",
	["Chromatic Mutation"]="Spell_Shadow_Metamorphosis",
	["Chromatic Resistance"]="INV_Potion_48",
	["Circle of Flame"]="Spell_Fire_SealOfFire",
	["Claw"]="Ability_Druid_Rake",
	["Claw Grasp"]="INV_Misc_BirdBeck_02",
	["Clean Escape"]="Ability_Vanish",
	["Cleanse"]="Spell_Holy_LesserHeal02",
	["Cleanse Nova"]="Spell_Holy_HolyBolt",
	["Cleansing Flames"]="Spell_Fire_FlameShock",
	["Clearcasting"]="Spell_Shadow_ManaBurn",
	["Cleave"]="Ability_Warrior_Cleave",
	["Cleave Armor"]="Ability_Warrior_SavageBlow",
	["Clever Traps"]="Spell_Nature_TimeStop",
	["Cloak of Fire"]="Spell_Fire_FireArmor",
	["Cloaking"]="Spell_Nature_Invisibilty",
	["Closing"]="Temp",
	["Cloth"]="INV_Chest_Cloth_21",
	["Cloud of Disease"]="Spell_Nature_AbolishMagic",
	["Coarse Dynamite"]="Spell_Fire_SelfDestruct",
	["Coat of Thistlefur"]="Ability_Hibernation",
	["Cobra Reflexes"]="Spell_Nature_GuardianWard",
	["Cold Blood"]="Spell_Ice_Lament",
	["Cold Eye"]="Spell_Frost_FrostArmor",
	["Cold Snap"]="Spell_Frost_WizardMark",
	["Cologne"]="INV_ValentineCologneBottle",
	["Colossal Smash"]="Spell_Nature_ThunderClap",
	["Combat Endurance"]="Spell_Nature_AncestralGuardian",
	["Combustion"]="Spell_Fire_SealOfFire",
	["Command"]="Ability_Warrior_WarCry",
	["Concentration Aura"]="Spell_Holy_MindSooth",
	["Concussion Blow"]="Ability_ThunderBolt",
	["Concussion"]="Spell_Fire_Fireball",
	["Concussive Shot"]="Spell_Frost_Stun",
	["Cone of Cold"]="Spell_Frost_Glacier",
	["Cone of Fire"]="Spell_Fire_WindsOfWoe",
	["Conflagrate"]="Spell_Fire_Fireball",
	["Conflagration"]="Spell_Fire_Incinerate",
	["Conjure Food"]="INV_Misc_Food_10",
	["Conjure Mana Agate"]="INV_Misc_Gem_Emerald_01",
	["Conjure Mana Citrine"]="INV_Misc_Gem_Opal_01",
	["Conjure Mana Jade"]="INV_Misc_Gem_Emerald_02",
	["Conjure Mana Ruby"]="INV_Misc_Gem_Ruby_01",
	["Conjure Water"]="INV_Drink_06",
	["Consecration"]="Spell_Holy_InnerFire",
	["Consume"]="Spell_Nature_Drowsy",
	["Consume Flesh"]="Spell_Shadow_VampiricAura",
	["Consume Shadows"]="Spell_Shadow_AntiShadow",
	["Consuming Shadows"]="Spell_Shadow_Haunting",
	["Contagion of Rot"]="Spell_Shadow_CallOfBone",
	["Control Machine"]="Spell_Shadow_Haunting",
	["Convection"]="Spell_Nature_WispSplode",
	["Conviction"]="Spell_Holy_RetributionAura",
	["Cookie's Cooking"]="Spell_Holy_Heal",
	["Cooking"] = "INV_Misc_Food_15",
	["Corpse Explosion"]="Spell_Shadow_CorpseExplode",
	["Corrosive Acid"]="Spell_Nature_Acid_01",
	["Corrosive Acid Breath"]="Spell_Nature_Acid_01",
	["Corrosive Acid Spit"]="Spell_Nature_Acid_01",
	["Corrosive Ooze"]="Spell_Shadow_AnimateDead",
	["Corrosive Poison"]="Spell_Nature_CorrosiveBreath",
	["Corrosive Venom Spit"]="Spell_Nature_CorrosiveBreath",
	["Corrupt Weapon"]="Spell_Shadow_Charm",
	["Corrupted Blood"]="Spell_Shadow_CorpseExplode",
	["Corrupted Intellect"]="Spell_Holy_HarmUndeadAura",
	["Corrupted Fear"]="Spell_Shadow_Possession",
	["Corrupted Healing"]="Spell_Shadow_Charm",
	["Corrupted Mind"]="Spell_Shadow_CurseOfTounges",
	["Corrupted Stamina"]="Spell_Holy_HarmUndeadAura",
	["Corrupted Totems"]="Spell_Shadow_Charm",
	["Corruption"]="Spell_Shadow_AbominationExplosion",
	["Counterattack"]="Ability_Warrior_Challange",
	["Counterspell"]="Spell_Frost_IceShock",
	["Counterspell - Silenced"]="Spell_Frost_IceShock",
	["Cowardly Flight"]="Spell_Shadow_Charm",
	["Cower"]="Ability_Druid_Cower",
	["Cozy Fire"]="Spell_Fire_Fire",
	["Crazed"]="Spell_Shadow_SpectralSight",
	["Create Firestone"]="INV_Ammo_FireTar",
	["Create Healthstone"]="INV_Stone_04",
	["Create Soulstone"]="Spell_Shadow_SoulGem",
	["Create Spellstone"]="INV_Misc_Gem_Sapphire_01",
	["Creeper Venom"]="Spell_Nature_NullifyPoison",
	["Creeping Mold"]="Spell_Holy_HarmUndeadAura",
	["Creeping Plague"]="Spell_Nature_BloodLust",
	["Crest of Retribution"]="INV_Shield_19",
	["Crimson Fury"]="Spell_Fire_Incinerate",
	["Cripple"]="Spell_Shadow_Cripple",
	["Crippling Clip"]="Spell_Nature_GroundingTotem",
	["Crippling Poison II"]="Ability_PoisonSting",
	["Crippling Poison"]="Ability_PoisonSting",
	["Critical Mass"]="Spell_Nature_WispHeal",
	["Crony's Eviscerate"]="Ability_Rogue_Eviscerate",
	["Crony's Sinister Strike"]="Spell_Shadow_RitualOfSacrifice",
	["Crossbows"]="INV_Weapon_Crossbow_01",
	["Crowd Pummel"]="INV_Gauntlets_04",
	["Cruelty"]="Ability_Rogue_Eviscerate",
	["Crumbling Stone"]="Spell_Nature_Earthquake",
	["Crusader Strike"]="Spell_Holy_HolySmite",
	["Crusader's Hammer"]="Spell_Holy_SealOfMight",
	["Crusader's Wrath"]="Spell_Nature_GroundingTotem",
	["Crush Armor"]="Ability_Warrior_DecisiveStrike",
	["Crystal Charge"]="INV_Misc_Gem_Opal_01",
	["Crystal Flash"]="Spell_Shadow_Teleport",
	["Crystal Force"]="INV_Misc_Gem_Crystal_02",
	["Crystal Gaze"]="Ability_GolemThunderClap",
	["Crystal of Zin-Malor"]="INV_Misc_Orb_02",
	["Crystal Restore"]="INV_Misc_Gem_Diamond_02",
	["Crystal Spire"]="INV_Misc_Gem_Stone_01",
	["Crystal Ward"]="INV_Misc_Gem_Ruby_02",
	["Crystal Yield"]="INV_Misc_Gem_Amethyst_01",
	["Crystalline Slumber"]="Spell_Nature_Sleep",
	["Crystallize"]="Spell_Shadow_Teleport",
	["Cultivation"]="INV_Misc_Flower_01",
	["Cure Ailments"]="INV_Potion_12",
	["Cure Disease"]="Spell_Holy_NullifyDisease",
	["Cure Poison"]="Spell_Nature_NullifyPoison",
	["Curse of Agony"]="Spell_Shadow_CurseOfSargeras",
	["Curse of Blood"]="Spell_Shadow_RitualOfSacrifice",
	["Curse of Doom Effect"]="Spell_Shadow_AuraOfDarkness",
	["Curse of Doom"]="Spell_Shadow_AuraOfDarkness",
	["Curse of Exhaustion"]="Spell_Shadow_GrimWard",
	["Curse of Idiocy"]="Spell_Shadow_MindRot",
	["Curse of Impotence"]="Spell_Nature_Drowsy",
	["Curse of Mending"]="Spell_Shadow_AntiShadow",
	["Curse of Recklessness"]="Spell_Shadow_UnholyStrength",
	["Curse of Shadow"]="Spell_Shadow_CurseOfAchimonde",
	["Curse of Shahram"]="Spell_Magic_LesserInvisibilty",
	["Curse of Stalvan"]="Spell_Shadow_ShadowPact",
	["Curse of the Bleakheart"]="Spell_Shadow_ChillTouch",
	["Curse of the Bleakheart Proc"]="Spell_Shadow_ChillTouch",
	["Curse of the Darkmaster"]="Spell_Shadow_AntiShadow",
	["Curse of the Deadwood"]="Spell_Shadow_GatherShadows",
	["Curse of the Dreadmaul"]="Spell_Nature_Drowsy",
	["Curse of the Elemental Lord"]="Spell_Fire_LavaSpawn",
	["Curse of the Elements"]="Spell_Shadow_ChillTouch",
	["Curse of the Eye"]="Spell_Shadow_UnholyFrenzy",
	["Curse of the Fallen Magram"]="Spell_Shadow_UnholyFrenzy",
	["Curse of the Firebrand"]="Ability_Creature_Cursed_03",
	["Curse of the Plaguebringer"]="Spell_Shadow_AnimateDead",
	["Curse of the Tribes"]="Spell_Shadow_CurseOfMannoroth",
	["Curse of Thorns"]="Spell_Shadow_AntiShadow",
	["Curse of Thule"]="Spell_Shadow_ShadowPact",
	["Curse of Timmy"]="Spell_Shadow_ShadowPact",
	["Curse of Tongues"]="Spell_Shadow_CurseOfTounges",
	["Curse of Tuten'kash"]="Spell_Nature_Drowsy",
	["Curse of Weakness"]="Spell_Shadow_CurseOfMannoroth",
	["Cursed Blade"]="Spell_Nature_Drowsy",
	["Cursed Blood"]="Spell_Nature_Drowsy",
	["Dagger Specialization"]="INV_Weapon_ShortBlade_05",
	["Daggers"]="Ability_SteelMelee",
	["Damage Absorb"]="Spell_Holy_DevotionAura",
	["Dampen Magic"]="Spell_Nature_AbolishMagic",
	["Dark Blast"]="Spell_Shadow_DarkRitual",
	["Dark Desire"]="INV_ValentinesChocolate04",
	["Dark Glare"]="Spell_Shadow_ShadowBolt",
	["Dark Iron Bomb"]="Spell_Fire_SelfDestruct",
	["Dark Iron Taskmaster Death"]="Spell_Shadow_AuraOfDarkness",
	["Dark Mending"]="Spell_Shadow_ChillTouch",
	["Dark Offering"]="Spell_Shadow_Haunting",
	["Dark Pact"]="Spell_Shadow_DarkRitual",
	["Dark Plague"]="Spell_Nature_NullifyDisease",
	["Dark Restore"]="Ability_Hunter_MendPet",
	["Dark Rune"]="Spell_Shadow_SealOfKings",
	["Dark Sludge"]="Spell_Shadow_CreepingPlague",
	["Dark Strike"]="Ability_ThunderBolt",
	["Darken Vision"]="Spell_Shadow_Fumble",
	["Darkness"]="Spell_Shadow_Twilight",
	["Darnassus Gift of Friendship"]="INV_Misc_Gift_02",
	["Dash"]="Ability_Druid_Dash",
	["Daunting Growl"]="Ability_Racial_Cannibalize",
	["Dazed"]="Spell_Frost_Stun",
	["Deadly Leech Poison"]="Spell_Nature_NullifyPoison",
	["Deadly Poison II"]="Ability_Rogue_DualWeild",
	["Deadly Poison III"]="Ability_Rogue_DualWeild",
	["Deadly Poison IV"]="Ability_Rogue_DualWeild",
	["Deadly Poison V"]="Ability_Rogue_DualWeild",
	["Deadly Poison"]="Ability_Rogue_DualWeild",
	["Deadmines Dynamite"]="Spell_Fire_SelfDestruct",
	["Deafening Screech"]="Spell_Shadow_AuraOfDarkness",
	["Death & Decay"]="Spell_Shadow_DeathAndDecay",
	["Death Coil"]="Spell_Shadow_DeathCoil",
	["Death Pact"]="Spell_Shadow_DeathPact",
	["Death Wish"]="Spell_Shadow_DeathPact",
	["Debilitating Charge"]="Ability_Druid_Disembowel",
	["Debilitating Touch"]="Spell_Shadow_FingerOfDeath",
	["Decapitate"]="Ability_Gouge",
	["Decayed Agility"]="Spell_Holy_HarmUndeadAura",
	["Decayed Strength"]="Spell_Holy_HarmUndeadAura",
	["Decimate"]="Spell_Nature_Purge",
	["Decrepit Fever"]="Ability_Creature_Disease_03",
	["Deep Sleep"]="Spell_Nature_Sleep",
	["Deep Slumber"]="Spell_Shadow_Cripple",
	["Deep Wound"]="Ability_BackStab",
	["Defense"]="Ability_Racial_ShadowMeld",
	["Defensive Stance Passive"]="Ability_Warrior_DefensiveStance",
	["Defensive Stance"]="Ability_Warrior_DefensiveStance",
	["Defensive State 2"]="Ability_Defend",
	["Defensive State"]="Ability_Defend",
	["Defiance"]="Ability_Warrior_InnerRage",
	["Defibrillate"]="Spell_Nature_Purge",
	["Defibrillated!"]="Spell_Nature_Purge",
	["Defile"]="Spell_Shadow_GatherShadows",
	["Defiling Aura"]="Spell_Shadow_Haunting",
	["Deflection"]="Ability_Parry",
	["Delusions of Jin'do"]="Spell_Shadow_UnholyFrenzy",
	["Demon Armor"]="Spell_Shadow_RagingScream",
	["Demon Skin"]="Spell_Shadow_RagingScream",
	["Demonfork"]="Spell_Shadow_LifeDrain02",
	["Demonic Doom"]="Spell_Shadow_SummonVoidWalker",
	["Demonic Embrace"]="Spell_Shadow_Metamorphosis",
	["Demonic Rune"]="INV_Misc_Rune_04",
	["Demonic Sacrifice"]="Spell_Shadow_PsychicScream",
	["Demoralize"]="Ability_Warrior_WarCry",
	["Demoralizing Roar"]="Ability_Druid_DemoralizingRoar",
	["Demoralizing Shout"]="Ability_Warrior_WarCry",
	["Dense Dynamite"]="Spell_Fire_SelfDestruct",
	["Desperate Prayer"]="Spell_Holy_Restoration",
	["Destiny"]="Spell_Nature_Strength",
	["Destroy Egg"]="INV_Misc_MonsterClaw_02",
	["Destructive Reach"]="Spell_Shadow_CorpseExplode",
	["Detect Demon"]="Spell_Shadow_SummonInfernal",
	["Detect Greater Invisibility"]="Spell_Shadow_DetectInvisibility",
	["Detect Invisibility"]="Spell_Shadow_DetectInvisibility",
	["Detect Lesser Invisibility"]="Spell_Shadow_DetectLesserInvisibility",
	["Detect Magic"]="Spell_Holy_Dizzy",
	["Detect Traps"]="Ability_Spy",
	["Detect Undead"]="INV_Misc_Head_Undead_01",
	["Detect"]="Ability_Hibernation",
	["Deterrence"]="Ability_Whirlwind",
	["Detonate"]="Spell_Nature_WispSplode",
	["Detonation"]="Spell_Fire_Fire",
	["Devastation"]="Spell_Fire_FlameShock",
	["Devilsaur Fury"]="Ability_Hunter_Pet_Raptor",
	["Devotion Aura"]="Spell_Holy_DevotionAura",
	["Devour Magic Effect"]="Spell_Nature_Purge",
	["Devour Magic"]="Spell_Nature_Purge",
	["Devouring Plague"]="Spell_Shadow_BlackPlague",
	["Diamond Flask"]="INV_Drink_01",
	["Digestive Acid"]="Ability_Creature_Disease_02",
	["Dim Sum"]="INV_Misc_Food_DimSum",
	["Dimensional Siphon"]="Spell_Shadow_DetectLesserInvisibility",
	["Diplomacy"]="INV_Misc_Note_02",
	["Dire Bear Form"]="Ability_Racial_BearForm",
	["Dire Growl"]="Ability_Racial_Cannibalize",
	["Disarm Trap"]="Spell_Shadow_GrimWard",
	["Disarm"]="Ability_Warrior_Disarm",
	["Discombobulate"]="Spell_Shadow_ShadowPact",
	["Disease Buffet"]="Spell_Nature_EarthBind",
	["Disease Burst"]="Spell_Nature_AbolishMagic",
	["Disease Cleansing Totem"]="Spell_Nature_DiseaseCleansingTotem",
	["Disease Cloud"]="Spell_Nature_AbolishMagic",
	["Disease Touch"]="Spell_Shadow_CarrionSwarm",
	["Diseased Shot"]="Spell_Shadow_CallofBone",
	["Diseased Slime"]="Spell_Shadow_CreepingPlague",
	["Diseased Spit"]="Spell_Shadow_CreepingPlague",
	["Disenchant"] = "Spell_Holy_RemoveCurse",
	["Disengage"]="Ability_Rogue_Feint",
	["Disjunction"]="Spell_Lightning_LightningBolt01",
	["Dismember"]="Ability_BackStab",
	["Dismiss Pet"]="Spell_Nature_SpiritWolf",
	["Dismounting Blast"]="Spell_Shadow_Teleport",
	["Dispel Magic"]="Spell_Holy_DispelMagic",
	["Dispel Poison"]="Spell_Holy_Purify",
	["Disrupting Shout"]="Spell_Shadow_DeathScream",
	["Distilled Wisdom"]="INV_Potion_97",
	["Distract"]="Ability_Rogue_Distract",
	["Distracting Pain"]="Ability_Racial_Cannibalize",
	["Distracting Shot"]="Spell_Arcane_Blink",
	["Dive"]="Spell_Shadow_BurningSpirit",
	["Divine Favor"]="Spell_Holy_Heal",
	["Divine Fury"]="Spell_Holy_SealOfWrath",
	["Divine Intellect"]="Spell_Nature_Sleep",
	["Divine Intervention"]="Spell_Nature_TimeStop",
	["Divine Protection"]="Spell_Holy_Restoration",
	["Divine Shield"]="Spell_Holy_DivineIntervention",
	["Divine Spirit"]="Spell_Holy_DivineSpirit",
	["Divine Strength"]="Ability_GolemThunderClap",
	["Diving Sweep"]="Ability_Warrior_Cleave",
	["Dodge"]="Spell_Nature_Invisibilty",
	["Dominate Mind"]="Spell_Shadow_ShadowWordDominate",
	["Domination"]="Spell_Shadow_ShadowWordDominate",
	["Dragonbane"]="Ability_Warrior_SavageBlow",
	["Dragonbreath Chili"]="Spell_Fire_Incinerate",
	["Dragon's Call"]="Spell_Shadow_SummonVoidWalker",
	["Drain Life"]="Spell_Shadow_LifeDrain02",
	["Drain Mana"]="Spell_Shadow_SiphonMana",
	["Drain Soul"]="Spell_Shadow_Haunting",
	["Dreamless Sleep"]="Spell_Nature_Sleep",
	["Draining Blow"]="Spell_Shadow_ChillTouch",
	["Draw of Thistlenettle"]="Spell_Shadow_Haunting",
	["Dreadful Fright"]="Spell_Shadow_AuraOfDarkness",
	["Dream Vision"]="Spell_Magic_LesserInvisibilty",
	["Dredge Sickness"]="Spell_Nature_NullifyDisease",
	["Drink"]="INV_Drink_07",
	["Drink Minor Potion"]="Spell_Holy_Heal",
	["Dropped Weapon"]="Ability_Warrior_Disarm",
	["Drowning Death"]="Spell_Frost_SummonWaterElemental",
	["Druid's Slumber"]="Spell_Nature_Sleep",
	["Drunken Rage"]="Spell_Shadow_UnholyFrenzy",
	["Drunken Stupor"]="INV_Drink_04",
	["Dual Wield Specialization"]="Ability_DualWield",
	["Dual Wield"]="Ability_DualWield",
	["Duel"]="Temp",
	["Dust Cloud"]="Ability_Hibernation",
	["Dust Field"]="Spell_Nature_Cyclone",
	["Eagle Claw"]="Ability_Gouge",
	["Eagle Eye"]="Ability_Hunter_EagleEye",
	["Earth Shock"]="Spell_Nature_EarthShock",
	["Earthbind"]="Spell_Nature_StrengthOfEarthTotem02",
	["Earthbind Totem"]="Spell_Nature_StrengthOfEarthTotem02",
	["Earthborer Acid"]="Spell_Nature_Acid_01",
	["Earthgrab"]="Spell_Nature_NatureTouchDecay",
	["Earthshaker"]="INV_Mace_02",
	["Earthstrike"]="Spell_Nature_AbolishMagic",
	["Earthquake"]="Spell_Nature_Earthquake",
	["Echeyakee's Grace"]="Spell_Nature_Purge",
	["Echoes of Lordaeron"]="INV_Banner_02",
	["Echoing Roar"]="Ability_Warrior_WarCry",
	["Efficiency"]="Spell_Frost_WizardMark",
	["Egg Explosion"]="INV_Egg_04",
	["Elderberry Pie"]="INV_Misc_Food_10",
	["Electric Discharge"]="Spell_Lightning_LightningBolt01",
	["Electrified Net"]="Ability_Ensnare",
	["Elemental Fire"]="Spell_Fire_FlameTounge",
	["Elemental Focus"]="Spell_Shadow_ManaBurn",
	["Elemental Fury"]="Spell_Fire_Volcano",
	["Elemental Mastery"]="Spell_Nature_WispHeal",
	["Elemental Protection"]="Spell_Holy_BlessingOfProtection",
	["Elemental Protection Totem Aura"]="Spell_Nature_NullWard",
	["Elemental Vulnerability"]="Spell_Holy_Dizzy",
	["Elite Guard's Strike"]="Ability_Rogue_Ambush",
	["Elixir of Brute Force"]="INV_Potion_40",
	["Elixir of Demonslaying"]="Spell_Holy_RetributionAura",
	["Elixir of Dodging"]="INV_Potion_52",
	["Elixir of Resistance"]="INV_Potion_21",
	["Elixir of the Giants"]="INV_Potion_61",
	["Elixir of the Mongoose"]="INV_Potion_32",
	["Elixir of the Sages"]="INV_Potion_29",
	["Elune's Blessing"]="INV_Misc_Gem_Pearl_02",
	["Elune's Candle"]="INV_Musket_02",
	["Elune's Grace"]="Spell_Holy_ElunesGrace",
	["Elusiveness"]="Spell_Magic_LesserInvisibilty",
	["Embalming Cloud"]="Spell_Shadow_CorpseExplode",
	["Emberstorm"]="Spell_Fire_SelfDestruct",
	["Empower Will"]="Ability_Warrior_BattleShout",
	["Encage"]="Ability_ThunderBolt",
	["Encasing Webs"]="Spell_Nature_EarthBind",
	["Enchanted Quickness"]="Spell_Nature_Invisibilty",
	["Enchanting"] = "Trade_Engraving",
	["Enchanting Lullaby"]="Spell_Shadow_SoothingKiss",
	["Endurance Training"]="Spell_Nature_Reincarnation",
	["Endurance"]="Spell_Nature_UnyeildingStamina",
	["Energized Shield"]="Spell_Nature_CallStorm",
	["Enfeeble"]="Spell_Shadow_CurseOfMannoroth",
	["Engineering Specialization"]="INV_Misc_Gear_01",
	["Engineering"] = "Trade_Engineering",
	["Engulfing Flames"]="Spell_Fire_Incinerate",
	["Engulfing Shadows"]="Spell_Shadow_LifeDrain02",
	["Enigma's Answer"]="Spell_Nature_AstralRecalGroup",
	["Enlarge"]="Spell_Nature_Strength",
	["Enrage"]="Ability_Druid_Enrage",
	["Enraging Memories"]="Spell_Shadow_UnholyFrenzy",
	["Enriched Manna Biscuit"]="INV_Misc_Fork\38Knife",
	["Enslave"]="Spell_Shadow_Charm",
	["Enslave Demon"]="Spell_Shadow_EnslaveDemon",
	["Entangle"]="Spell_Nature_Web",
	["Entangling Roots"]="Spell_Nature_StrangleVines",
	["Entrapment"]="Spell_Nature_StrangleVines",
	["Enveloping Web"]="Spell_Nature_EarthBind",
	["Enveloping Webs"]="Spell_Nature_EarthBind",
	["Enveloping Winds"]="Spell_Nature_Cyclone",
	["Ephemeral Power"]="Spell_Holy_MindVision",
	["Epiphany"]="Spell_Nature_Purge",
	["Eruption"]="Spell_Fire_Fire",
	["Escape Artist"]="Ability_Rogue_Trip",
	["Eskhandar's Rage"]="INV_Misc_MonsterClaw_03",
	["Eskhandar's Rake"]="Ability_GhoulFrenzy",
	["Essence of Sapphiron"]="INV_Trinket_Naxxramas06",
	["Essence of the Red"]="Spell_Fire_LavaSpawn",
	["Evasion"]="Spell_Shadow_ShadowWard",
	["Eventide"]="Spell_Frost_Stun",
	["Evil Eye"]="Spell_Shadow_Charm",
	["Evil Twin"]="Spell_Shadow_Charm",
	["Eviscerate"]="Ability_Rogue_Eviscerate",
	["Evocation"]="Spell_Nature_Purge",
	["Execute"]="INV_Sword_48",
	["Exorcism"]="Spell_Holy_Excorcism_02",
	["Expansive Mind"]="INV_Enchant_EssenceEternalLarge",
	["Explode"]="Spell_Fire_Fire",
	["Exploding Cadaver"]="Spell_Shadow_AbominationExplosion",
	["Exploding Shot"]="Spell_Fire_Fireball02",
	["Exploit Weakness"]="Ability_BackStab",
	["Explosion"]="Spell_Fire_Fire",
	["Explosive Sheep"]="Spell_Fire_Fire",
	["Explosive Shot"]="Spell_Fire_Fireball02",
	["Explosive Trap Effect"]="Spell_Fire_SelfDestruct",
	["Explosive Trap"]="Spell_Fire_SelfDestruct",
	["Expose Armor"]="Ability_Warrior_Riposte",
	["Expose Weakness"] = "Ability_Hunter_SniperShot",
	["Eye Beam"]="Spell_Nature_CallStorm",
	["Eye for an Eye"]="Spell_Holy_EyeforanEye",
	["Eye of Immol'thar"]="Spell_Shadow_AntiMagicShell",
	["Eye of Kilrogg"]="Spell_Shadow_EvilEye",
	["Eyes of the Beast"]="Ability_EyeOfTheOwl",
	["Ez-Thro Dynamite"]="Spell_Fire_SelfDestruct",
	["Fade"]="Spell_Magic_LesserInvisibilty",
	["Fade Out"]="Spell_Nature_Invisibilty",
	["Faded"]="Spell_Nature_Invisibilty",
	["Faerie Fire"]="Spell_Nature_FaerieFire",
	["Faerie Fire (Feral)"]="Spell_Nature_FaerieFire",
	["Fanatic Blade"]="Spell_Fire_Immolation",
	["Fanatic Blade Effect"]="Spell_Fire_Fire",
	["Fang of the Crystal Spider"]="Spell_Nature_Web",
	["Far Sight"]="Spell_Nature_FarSight",
	["Fatal Bite"]="Ability_BackStab",
	["Fatal Sting"]="Spell_Nature_CorrosiveBreath",
	["Fatal Wound"]="Ability_BackStab",
	["Fatigued"]="Spell_Shadow_FingerOfDeath",
	["Fear Ward"]="Spell_Holy_Excorcism",
	["Fear"]="Spell_Shadow_Possession",
	["Fearless"]="Ability_Warrior_BattleShout",
	["Feed"]="Ability_Hunter_BeastTraining",
	["Feed Pet"]="Ability_Hunter_BeastTraining",
	["Feed Pet Effect"]="Ability_Hunter_BeastTraining",
	["Feedback"]="Spell_Shadow_RitualOfSacrifice",
	["Feign Death"]="Ability_Rogue_FeignDeath",
	["Feint"]="Ability_Rogue_Feint",
	["Fel Concentration"]="Spell_Shadow_FingerOfDeath",
	["Fel Domination"]="Spell_Nature_RemoveCurse",
	["Fel Energy"]="Spell_Shadow_PsychicScream",
	["Fel Intellect"]="Spell_Holy_MagicalSentry",
	["Fel Stamina"]="Spell_Shadow_AntiShadow",
	["Fel Stomp"]="Ability_WarStomp",
	["Felfire"]="Spell_Fire_Fireball",
	["Feline Grace"]="INV_Feather_01",
	["Feline Swiftness"]="Spell_Nature_SpiritWolf",
	["Felstriker"]="Ability_BackStab",
	["Felstrom Resurrection"]="Spell_Totem_WardOfDraining",
	["Fengus' Ferocity"]="Spell_Nature_UndyingStrength",
	["Feral Aggression"]="Ability_Druid_DemoralizingRoar",
	["Feral Charge"]="Ability_Hunter_Pet_Bear",
	["Feral Charge Effect"]="Ability_Hunter_Pet_Bear",
	["Feral Instinct"]="Ability_Ambush",
	["Ferocious Bite"]="Ability_Druid_FerociousBite",
	["Ferocity"]="INV_Misc_MonsterClaw_04",
	["Festering Bites"]="Spell_Nature_NullifyPoison",
	["Festering Rash"]="Spell_Nature_NullifyDisease",
	["Festival Fortune!"]="Spell_Nature_Strength",
	["Fetish"]="INV_Misc_Horn_01",
	["Fevered Fatigue"]="Spell_Nature_NullifyDisease",
	["Fevered Plague"]="Spell_Nature_NullifyDisease",
	["Fiend Fury"]="Spell_Shadow_UnholyFrenzy",
	["Fiery Aura"]="Spell_Fire_Fire",
	["Fiery Blaze"]="Spell_Fire_SelfDestruct",
	["Fiery Burst"]="Spell_Fire_FireBolt",
	["Fiery Weapon"]="Spell_Fire_FlameShock",
	["Find Herbs"]="INV_Misc_Flower_02",
	["Find Minerals"]="Spell_Nature_Earthquake",
	["Find Treasure"]="Racial_Dwarf_FindTreasure",
	["Fire Blast"]="Spell_Fire_Fireball",
	["Fire Blossom"]="Spell_Fire_Fireball02",
	["Fire Festival Fortitude"]="INV_SummerFest_FireSpirit",
	["Fire Festival Fury"]="INV_Misc_SummerFest_BrazierOrange",
	["Fire Nova"]="Spell_Fire_SealOfFire",
	["Fire Nova Totem"]="Spell_Fire_SealOfFire",
	["Fire Power"]="INV_Potion_33",
	["Fire Protection"]="Spell_Fire_FireArmor",
	["Fire Protection "]="Spell_Fire_FireArmor",
	["Fire Reflector"]="Spell_Fire_SealOfFire",
	["Fire Resistance Aura"]="Spell_Fire_SealOfFire",
	["Fire Resistance Totem"]="Spell_FireResistanceTotem_01",
	["Fire Resistance"]="Spell_Fire_FireArmor",
	["Fire Shield"]="Spell_Fire_FireArmor",
	["Fire Shield II"]="Spell_Fire_Immolation",
	["Fire Shield III"]="Spell_Fire_Immolation",
	["Fire Shield IV"]="Spell_Fire_Immolation",
	["Fire Shield Effect"]="Spell_Fire_Immolation",
	["Fire Shield Effect II"]="Spell_Fire_Immolation",
	["Fire Shield Effect III"]="Spell_Fire_Immolation",
	["Fire Shield Effect IV"]="Spell_Fire_Immolation",
	["Fire Shot"]="Ability_SearingArrow",
	["Fire Storm"]="Spell_Fire_SelfDestruct",
	["Fire Strike"]="Spell_Shadow_ShadowBolt",
	["Fire Vulnerability"]="Spell_Fire_SoulBurn",
	["Fire Ward"]="Spell_Fire_FireArmor",
	["Fire Weakness"]="INV_Misc_QirajiCrystal_02",
	["Fireball"]="Spell_Fire_FlameBolt",
	["Fireball Volley"]="Spell_Fire_FlameBolt",
	["Firebolt"]="Spell_Fire_FireBolt",
	["Fire-toasted Bun"]="INV_Misc_Food_11",
	["Fire's Glow"]="Spell_Fire_Fire",
	["First Aid"] = "Spell_Holy_SealOfSacrifice",
	["Fishing Poles"]="Trade_Fishing",
	["Fishing"]="Trade_Fishing",
	["Fishliver Oil"]="INV_Misc_Fish_06",
	["Fist of Ragnaros"]="Spell_Holy_SealOfWrath",
	["Fist of Shahram"]="Ability_WhirlWind",
	["Fist of Stone"]="Spell_Holy_MagicalSentry",
	["Fist Weapon Specialization"]="INV_Gauntlets_04",
	["Fist Weapons"]="INV_Gauntlets_04",
	["Fixate"]="Spell_Shadow_Charm",
	["Flame Blast"]="Spell_Fire_SelfDestruct",
	["Flame Breath"]="Spell_Fire_Fire",
	["Flame Buffet"]="Spell_Fire_Fireball",
	["Flame Cannon"]="Spell_Fire_FlameBolt",
	["Flame Lash"]="Spell_Fire_Fireball",
	["Flame Shock"]="Spell_Fire_FlameShock",
	["Flame Spear"]="Ability_Throw",
	["Flame Spike"]="Spell_Fire_SelfDestruct",
	["Flame Spray"]="Spell_Fire_Fire",
	["Flame Throwing"]="Spell_Fire_Flare",
	["Flame Wrath"]="Spell_Fire_Incinerate",
	["Flamebreak"]="Spell_Holy_Excorcism_02",
	["Flamecrack"]="Spell_Fire_Fire",
	["Flames"]="Spell_Fire_Fire",
	["Flames of Shahram"]="Spell_Fire_SelfDestruct",
	["Flameshocker's Revenge"]="Spell_Holy_Excorcism_02",
	["Flameshocker's Touch"]="Spell_Lightning_LightningBolt01",
	["Flamespit"]="Spell_Fire_FlameBolt",
	["Flamestrike"]="Spell_Fire_SelfDestruct",
	["Flamethrower"]="Spell_Fire_Incinerate",
	["Flametongue Attack"]="Spell_Fire_FlameTounge",
	["Flametongue Totem"]="Spell_Nature_GuardianWard",
	["Flametongue Weapon"]="Spell_Fire_FlameTounge",
	["Flaming Cannonball"]="Spell_Fire_FireBolt02",
	["Flaming Shell"]="Spell_Lightning_LightningBolt01",
	["Flare"]="Spell_Fire_Flare",
	["Flash Bomb"]="Spell_Shadow_DarkSummoning",
	["Flash Freeze"]="Spell_Frost_FrostNova",
	["Flash Heal"]="Spell_Holy_FlashHeal",
	["Flash of Light"]="Spell_Holy_FlashHeal",
	["Flask of the Titans"]="INV_Potion_62",
	["Flaying Vine"]="Ability_Warrior_Cleave",
	["Flee"]="Spell_Magic_PolymorphChicken",
	["Flesh Rot"]="Ability_GhoulFrenzy",
	["Flip Out"]="Ability_Rogue_Disguise",
	["Flow of the Northspring"]="Spell_Holy_Renew",
	["Flurry"]="Ability_GhoulFrenzy",
	["Flurry Axe"]="Ability_Warrior_PunishingBlow",
	["Focused Casting"]="Spell_Arcane_Blink",
	["Focus"]="Spell_Holy_SearingLight",
	["Food"]="INV_Misc_Fork\38Knife",
	["Fool's Plight"]="Spell_Magic_PolymorphChicken",
	["Forbearance"]="Spell_Holy_RemoveCurse",
	["Force of Will"]="INV_Jewelry_Amulet_01",
	["Force Punch"]="INV_Gauntlets_31",
	["Force Reactive Disk"]="Spell_Lightning_LightningBolt01",
	["Forcefield Collapse"]="Spell_Shadow_Cripple",
	["Forceful Howl"]="Ability_BullRush",
	["Forked Lightning"]="Spell_Nature_ChainLightning",
	["Form of the Moonstalker"]="Ability_Hibernation",
	["Forsaken Skills"]="Spell_Shadow_AntiShadow",
	["Foul Chill"]="Spell_Frost_Wisp",
	["Frailty"]="Spell_Shadow_AnimateDead",
	["Freeze Solid"]="Spell_Fost_Glacier",
	["Freeze"]="Spell_Frost_Glacier",
	["Free Action"]="INV_Potion_04",
	["Freezing Trap Effect"]="Spell_Frost_ChainsOfIce",
	["Freezing Trap"]="Spell_Frost_ChainsOfIce",
	["Frenzied Command"]="Ability_Racial_BloodRage",
	["Frenzied Dive"]="Ability_Hunter_Pet_Bat",
	["Frenzied Rage"]="Spell_Shadow_UnholyFrenzy",
	["Frenzied Regeneration"]="Ability_BullRush",
	["Frenzy"]="INV_Misc_MonsterClaw_03",
	["Frenzy Effect"]="INV_Misc_MonsterClaw_03",
	["Friend's Backstab"]="Ability_BackStab",
	["Friend's Poison"]="Spell_Nature_CorrosiveBreath",
	["Friend's Slowing Poison"]="Spell_Nature_SlowPoison",
	["Frightalon"]="Spell_Shadow_ShadowPact",
	["Frost Armor"]="Spell_Frost_FrostArmor02",
	["Frost Arrow"]="Spell_Frost_IceShard",
	["Frost Blast"]="Spell_Frost_FreezingBreath",
	["Frost Breath"]="Spell_Frost_FrostNova",
	["Frost Burn"]="Spell_Frost_ChillingBlast",
	["Frost Channeling"]="Spell_Frost_Stun",
	["Frost Nova"]="Spell_Frost_FrostNova",
	["Frost Power"]="INV_Potion_03",
	["Frost Protection"]="Spell_Frost_FrostArmor02",
	["Frost Protection "]="Spell_Frost_FrostArmor02",
	["Frost Reflector"]="Spell_Frost_FrostWard",
	["Frost Resistance Aura"]="Spell_Frost_WizardMark",
	["Frost Resistance Totem"]="Spell_FrostResistanceTotem_01",
	["Frost Resistance"]="Spell_Frost_FrostWard",
	["Frost Shock"]="Spell_Frost_FrostShock",
	["Frost Shot"]="Spell_Ice_MagicDamage",
	["Frost Trap"]="Spell_Frost_FreezingBreath",
	["Frost Trap Aura"]="Spell_Frost_FrostNova",
	["Frost Ward"]="Spell_Frost_FrostWard",
	["Frost Weakness"]="INV_Misc_QirajiCrystal_04",
	["Frostbite"]="Spell_Frost_FrostArmor",
	["Frostbolt"]="Spell_Frost_FrostBolt02",
	["Frostbolt Volley"]="Spell_Frost_FrostBolt02",
	["Frostbrand Weapon"]="Spell_Frost_FrostBrand",
	["Frostmane Strength"]="Spell_Nature_UndyingStrength",
	["Frosty Zap"]="Spell_Frost_FrostBolt",
	["Fumble"]="Spell_Shadow_Fumble",
	["Fungal Bloom"]="Spell_Nature_UnyeildingStamina",
	["Furbolg Form"]="INV_Misc_MonsterClaw_04",
	["Furbolg Medicine Pouch"]="INV_Misc_Bag_11",
	["Furious Howl"]="Ability_Hunter_Pet_Wolf",
	["Furor"]="Spell_Holy_BlessingOfStamina",
	["Fury of Forgewright"]="Spell_Fire_Incinerate",
	["Fury of Ragnaros"]="Spell_holy_MindSooth",
	["Fury of the Ashbringer"]="Spell_Shadow_Charm",
	["Fury of the Bogling"]="Spell_Nature_Strength",
	["Fury of the Frostwolf"]="Spell_Nature_Sentinal",
	["Gahz'ranka Slam"]="Ability_Devour",
	["Gahz'rilla Slam"]="Ability_Devour",
	["Gargoyle Strike"]="Spell_Shadow_ShadowBolt",
	["Garrote"]="Ability_Rogue_Garrote",
	["Gas"]="Spell_Nature_AbolishMagic",
	["Gehennas' Curse"]="Spell_Shadow_GatherShadows",
	["Generic"]="INV_Shield_09",
	["Geyser"]="Spell_Frost_ChillingBlast",
	["Ghost"]="Ability_Vanish",
	["Ghost Costume"]="Spell_Shadow_Haunting",
	["Ghost Wolf"]="Spell_Nature_SpiritWolf",
	["Ghostly Strike"]="Spell_Shadow_Curse",
	["Ghoul Plague"]="Spell_Holy_HarmUndeadAura",
	["Ghoul Rot"]="Spell_Shadow_CreepingPlague",
	["Gift of Arthas"]="INV_Potion_28",
	["Gift of Life"]="INV_Misc_Gem_Pearl_05",
	["Gift of Nature"]="Spell_Nature_ProtectionformNature",
	["Gift of Ragnaros"]="Spell_Fire_Fire",
	["Gift of Stone"]="Ability_GolemThunderClap",
	["Gift of the Wild"]="Spell_Nature_Regeneration",
	["Gift of the Xavian"]="Spell_Holy_FlashHeal",
	["Glacial Roar"]="Spell_Frost_FrostNova",
	["Glimpse of Madness"]="Spell_Shadow_MindSteal",
	["Glyph of Deflection"]="INV_Trinket_Naxxramas05",
	["Gnarlpine Vengeance"]="Spell_Shadow_UnholyFrenzy",
	["Gnomish Death Ray"]="Spell_Shadow_ShadowBolt",
	["Gnomish Mind Control Cap"]="Spell_Magic_MageArmor",
	["Gnomish Rocket Boots"]="Spell_Fire_Fire",
	["Goblin Dragon Gun"]="Spell_Fire_Incinerate",
	["Goblin Mortar"]="Spell_Fire_SelfDestruct",
	["Goblin Rocket Boots"]="Spell_Fire_Fire",
	["Goblin Sapper Charge"]="Spell_Fire_SelfDestruct",
	["Gordok Green Grog"]="INV_Drink_03",
	["Gordok Ogre Suit"]="Ability_Rogue_Disguise",
	["Gouge"]="Ability_Gouge",
	["Gout of Flame"]="Spell_Fire_Incinerate",
	["Grab Weapon"]="Ability_Warrior_Disarm",
	["Grace of Air Totem"]="Spell_Nature_InvisibilityTotem",
	["Grace of Earth"]="Ability_Physical_Taunt",
	["Grasping Vines"]="Spell_Nature_Earthquake",
	["Great Rage"]="Ability_Racial_BloodRage",
	["Great Stamina"]="Spell_Nature_UnyeildingStamina",
	["Greater Agility"]="INV_Potion_93",
	["Greater Arcane Elixir"]="INV_Potion_25",
	["Greater Armor"]="INV_Potion_86",
	["Greater Blessing of Kings"]="Spell_Magic_GreaterBlessingofKings",
	["Greater Blessing of Light"]="Spell_Holy_GreaterBlessingofLight",
	["Greater Blessing of Might"]="Spell_Holy_GreaterBlessingofKings",
	["Greater Blessing of Salvation"]="Spell_Holy_GreaterBlessingofSalvation",
	["Greater Blessing of Sanctuary"]="Spell_Holy_GreaterBlessingofSanctuary",
	["Greater Blessing of Wisdom"]="Spell_Holy_GreaterBlessingofWisdom",
	["Greater Dispel"]="Spell_Arcane_StarFire",
	["Greater Dreamless Sleep"]="Spell_Nature_Sleep",
	["Greater Firepower"]="INV_Potion_60",
	["Greater Heal"]="Spell_Holy_GreaterHeal",
	["Greater Healthstone"]="INV_Stone_04",
	["Greater Intellect"]="INV_Potion_10",
	["Greater Mark of the Dawn"]="INV_Misc_Token_ArgentDawn3",
	["Greater Polymorph"]="Spell_Nature_Brilliance",
	["Greater Stoneshield"]="INV_Potion_69",
	["Greater Water Breathing"]="Spell_Frost_ManaRecharge",
	["Grim Reach"]="Spell_Shadow_CallofBone",
	["Ground Rupture"]="Spell_Nature_Earthquake",
	["Ground Smash"]="Spell_Holy_FistOfJustice",
	["Ground Stomp"]="Ability_WarStomp",
	["Ground Tremor"]="Spell_Nature_Earthquake",
	["Grounding Totem"]="Spell_Nature_GroundingTotem",
	["Grovel"]="Temp",
	["Grow"]="Spell_Ice_MagicDamage",
	["Growing Flames"]="Spell_Fire_Fire",
	["Growl"]="Ability_Physical_Taunt",
	["Growl of Fortitude"]="Ability_BullRush",
	["Gryphon's Stun Bomb Attack"]="Spell_Fire_SelfDestruct",
	["Guardian"]="Spell_Holy_DevotionAura",
	["Guardian Effect"]="Spell_Holy_DevotionAura",
	["Guardian's Favor"]="Spell_Holy_SealOfProtection",
	["Guile of the Raptor"]="Spell_Nature_NaturesWrath",
	["Guillotine"]="Ability_Warrior_PunishingBlow",
	["Gun Specialization"]="INV_Musket_03",
	["Guns"]="INV_Weapon_Rifle_01",
	["Gust of Wind"]="Spell_Nature_EarthBind",
	["Gutgore Ripper"]="Spell_Shadow_ShadowBolt",
	["Hail Storm"]="Spell_Frost_FrostBolt02",
	["Haleh's Will"]="Spell_Arcane_PortalOrgrimmar",
	["Hallow's End Aura"]="Spell_Frost_Wisp",
	["Hallow's End Candy"]="INV_Misc_Food_59",
	["Hallow's End Fright"]="Spell_Frost_FrostArmor",
	["Hammer Ambassador's Amplify Damage"]="Spell_Nature_AbolishMagic",
	["Hammer Ambassador's Bloodlust"]="Spell_Nature_BloodLust",
	["Hammer Ambassador's Chilled"]="Spell_Frost_FrostArmor02",
	["Hammer Ambassador's Curse of Weakness"]="Spell_Shadow_CurseOfMannoroth",
	["Hammer Ambassador's Earth Shock"]="Spell_Nature_EarthShock",
	["Hammer Ambassador's Flame Shock"]="Spell_Fire_FlameShock",
	["Hammer Ambassador's Frost Shock"]="Spell_Frost_FrostShock",
	["Hammer Ambassador's Shock"]="Spell_Nature_WispHeal",
	["Hammer of Justice"]="Spell_Holy_SealOfMight",
	["Hammer of Wrath"]="Ability_ThunderClap",
	["Hammer Torturer's Shadow Word: Pain"]="Spell_Shadow_ShadowWordPain",
	["Hamstring"]="Ability_ShockWave",
	["Hand of Justice"]="INV_Jewelry_Talisman_01",
	["Hand of Ragnaros"]="Spell_Fire_Fireball",
	["Hand of Thaurissan"]="Spell_Fire_Fireball",
	["Harass"]="Ability_Hunter_Harass",
	["Harden Skin"]="Spell_Nature_Cyclone",
	["Hardiness"]="INV_Helmet_23",
	["Harm Prevention Belt"]="Spell_Holy_PowerWordShield",
	["Harsh Winds"]="Spell_Nature_EarthBind",
	["Harvest Soul"]="Spell_Shadow_CurseOfAchimonde",
	["Haste"]="Spell_Nature_Invisibilty",
	["Haste Aura"]="Spell_Holy_FistOfJustice",
	["Hateful Strike"]="Ability_CriticalStrike",
	["Haunting Phantoms"]="Spell_Shadow_BlackPlague",
	["Haunting Spirits"]="Spell_Shadow_BlackPlague",
	["Hawk Eye"]="Ability_TownWatch",
	["Head Acolyte's Mana Burn"]="Spell_Shadow_ManaBurn",
	["Head Acolyte's Renew"]="Spell_Holy_Renew",
	["Head Adept's Chains of Ice"]="Spell_Frost_ChainsOfIce",
	["Head Adept's Frostbolt"]="Spell_Frost_FrostBolt02",
	["Head Butt"]="INV_Gauntlets_05",
	["Head Crack"]="Ability_ThunderBolt",
	["Head Cultist's Death & Decay"]="Spell_Shadow_DeathAndDecay",
	["Head Cultist's Entangling Roots"]="Spell_Nature_StrangleVines",
	["Head Cultist's Shadow Bolt"]="Spell_Shadow_ShadowBolt",
	["Head Geomancer's Fireball"]="Spell_Fire_FlameBolt",
	["Head Geomancer's Flame Spike"]="Spell_Fire_SelfDestruct",
	["Head Geomancer's Slow"]="Spell_Nature_Slow",
	["Head Necromancer's Bone Armor"]="Spell_Shadow_UnholyStrength",
	["Head Necromancer's Cripple"]="Spell_Shadow_Cripple",
	["Head Necromancer's Shadow Bolt"]="Spell_Shadow_ShadowBolt",
	["Head Priest's Heal"]="Spell_Holy_Heal02",
	["Head Priest's Shadow Bolt"]="Spell_Shadow_ShadowBolt",
	["Head Rush"]="Spell_Nature_GroundingTotem",
	["Head Smash"]="Ability_Devour",
	["Headmaster's Charge"]="Spell_Totem_WardOfDraining",
	["Heal"]="Spell_Holy_Heal",
	["Heal Pet"]="Spell_Holy_Heal",
	["Heal Self"]="Spell_Holy_Heal",
	["Healing Aura"]="Spell_Holy_Restoration",
	["Healing Circle"]="Spell_Holy_PrayerOfHealing02",
	["Healing Draught"]="INV_Potion_38",
	["Healing Focus"]="Spell_Holy_HealingFocus",
	["Healing Light"]="Spell_Holy_HolyBolt",
	["Healing Potion"]="INV_Potion_54",
	["Healing Stream Totem"]="INV_Spear_04",
	["Healing Touch"]="Spell_Nature_HealingTouch",
	["Healing Wave"]="Spell_Nature_MagicImmunity",
	["Healing Wave of Antu'sul"]="Spell_Holy_Heal02",
	["Health"]="INV_Potion_44",
	["Health II"]="INV_Potion_44",
	["Health Funnel"]="Spell_Shadow_LifeDrain",
	["Health Regeneration"]="Spell_Holy_HealingAura",
	["Healthstone"]="INV_Stone_04",
	["Healthy Spirit"]="Spell_Holy_MagicalSentry",
	["Heart of the Scale"]="Spell_Fire_Immolation",
	["Heart of the Wild"]="Spell_Holy_BlessingOfAgility",
	["Heartbroken"]="Spell_BrokenHeart",
	["Hearthstone"]="INV_Misc_Rune_01",
	["Heaven's Blessing"]="Spell_Holy_FistOfJustice",
	["Heavy Dynamite"]="Spell_Fire_SelfDestruct",
	["Hellfire Effect"]="Spell_Fire_Incinerate",
	["Hellfire"]="Spell_Fire_Incinerate",
	["Hemorrhage"]="Spell_Shadow_LifeDrain",
	["Herbalism"] = "Spell_Nature_NatureTouchGrow",
	["Heroic Strike"]="Ability_Rogue_Ambush",
	["Heroism"]="Spell_Holy_Renew",
	["Hex"]="Spell_Nature_Polymorph",
	["Hex of Jammal'an"]="Spell_Shadow_AntiShadow",
	["Hex of Ravenclaw"]="Spell_Shadow_Charm",
	["Hex of Weakness"]="Spell_Shadow_FingerOfDeath",
	["Hi-Explosive Bomb"]="Spell_Fire_SelfDestruct",
	["Hibernate"]="Spell_Nature_Sleep",
	["Hide"]="Ability_Stealth",
	["Highlord's Justice"]="Spell_Holy_SealOfMight",
	["Hive'Zara Catalyst"]="Ability_Creature_Poison_02",
	["Holy Fire"]="Spell_Holy_SearingLight",
	["Holy Light"]="Spell_Holy_HolyBolt",
	["Holy Mightstone"]="Spell_Holy_AshesToAshes",
	["Holy Nova"]="Spell_Holy_HolyNova",
	["Holy Power"]="Trade_Engineering",
	["Holy Protection"]="Spell_Holy_BlessingOfProtection",
	["Holy Protection "]="Spell_Holy_BlessingOfProtection",
	["Holy Reach"]="Spell_Holy_Purify",
	["Holy Shield"]="Spell_Holy_BlessingOfProtection",
	["Holy Shock"]="Spell_Holy_SearingLight",
	["Holy Smite"]="Spell_Holy_HolySmite",
	["Holy Specialization"]="Spell_Holy_SealOfSalvation",
	["Holy Strength"]="Spell_Holy_BlessingOfStrength",
	["Holy Strike"]="Ability_ThunderBolt",
	["Holy Sunder"]="Spell_Shadow_CurseOfSargeras",
	["Holy Wrath"]="Spell_Shadow_SiphonMana",
	["Honorless Target"]="Spell_Magic_LesserInvisibilty",
	["Hooked Net"]="Ability_Ensnare",
	["Hopeless"]="Ability_Warrior_WarCry",
	["Horse Riding"]="Spell_Nature_Swiftness",
	["Howl of Terror"]="Spell_Shadow_DeathScream",
	["Howling Blade"]="Ability_Druid_ChallangingRoar",
	["Humanoid Slaying"]="Spell_Holy_PrayerOfHealing",
	["Hunter Armor Energize"]="Spell_Nature_GroundingTotem",
	["Hunter's Mark"]="Ability_Hunter_SniperShot",
	["Hurricane"]="Spell_Nature_Cyclone",
	["Ice Armor"]="Spell_Frost_FrostArmor02",
	["Ice Barrier"]="Spell_Ice_Lament",
	["Ice Blast"]="Spell_Frost_FrostNova",
	["Ice Block"]="Spell_Frost_Frost",
	["Ice Claw"]="Spell_Frost_IceClaw",
	["Ice Lock"]="Spell_Frost_ChainsOfIce",
	["Ice Nova"]="Spell_Frost_FrostNova",
	["Ice Shards"]="Spell_Frost_IceShard",
	["Ice Tomb"]="Spell_Frost_Glacier",
	["Icicle"]="Spell_Frost_FrostBolt02",
	["Icy Energy"]="Spell_Frost_FrostBolt",
	["Icy Grasp"]="Spell_Frost_ManaBurn",
	["Ignite"]="Spell_Fire_Incinerate",
	["Ignite Flesh"]="Spell_Fire_Fire",
	["Ignite Mana"]="Spell_Fire_Incinerate",
	["Illidan's Fury"]="Spell_Shadow_ImpPhaseShift",
	["Illumination"]="Spell_Holy_GreaterHeal",
	["Immolate"]="Spell_Fire_Immolation",
	["Immolation Trap Effect"]="Spell_Fire_FlameShock",
	["Immolation Trap"]="Spell_Fire_FlameShock",
	["Immolation"]="Spell_Fire_Immolation",
	["Immune All"]="Spell_Shadow_AntiMagicShell",
	["Immune Charm/Fear/Polymorph"]="Spell_Holy_DispelMagic",
	["Immune Charm/Fear/Stun"]="Spell_Holy_DispelMagic",
	["Immune Fear/Polymorph/Snare"]="Spell_Holy_DispelMagic",
	["Immune Fear/Polymorph/Stun"]="Spell_Holy_DispelMagic",
	["Immune Root/Snare/Stun"]="Spell_Holy_DispelMagic",
	["Immune Root"]="Spell_Nature_WispHeal",
	["Impact"]="Spell_Fire_MeteorStorm",
	["Impale"]="Ability_Throw",
	["Impending Doom"]="Spell_Shadow_NightOfTheDead",
	["Improved Ambush"]="Ability_Rogue_Ambush",
	["Improved Arcane Explosion"]="Spell_Nature_WispSplode",
	["Improved Arcane Missiles"]="Spell_Nature_StarFall",
	["Improved Arcane Shot"]="Ability_ImpalingBolt",
	["Improved Aspect of the Hawk"]="Spell_Nature_RavenForm",
	["Improved Aspect of the Monkey"]="Ability_Hunter_AspectOfTheMonkey",
	["Improved Backstab"]="Ability_BackStab",
	["Improved Battle Shout"]="Ability_Warrior_BattleShout",
	["Improved Berserker Rage"]="Spell_Nature_AncestralGuardian",
	["Improved Blessing of Might"]="Spell_Holy_FistOfJustice",
	["Improved Blessing of Wisdom"]="Spell_Holy_SealOfWisdom",
	["Improved Blizzard"]="Spell_Frost_IceStorm",
	["Improved Blocking"]="Spell_Fire_FireArmor",
	["Improved Bloodrage"]="Ability_Racial_BloodRage",
	["Improved Chain Heal"]="Spell_Nature_HealingWaveGreater",
	["Improved Chain Lightning"]="Spell_Nature_ChainLightning",
	["Improved Challenging Shout"]="Ability_Warrior_Challange",
	["Improved Charge"]="Ability_Warrior_Charge",
	["Improved Cheap Shot"]="Ability_CheapShot",
	["Improved Cleave"]="Ability_Warrior_Cleave",
	["Improved Concentration Aura"]="Spell_Holy_MindSooth",
	["Improved Concussive Shot"]="Spell_Frost_Stun",
	["Improved Cone of Cold"]="Spell_Frost_Glacier",
	["Improved Corruption"]="Spell_Shadow_AbominationExplosion",
	["Improved Counterspell"]="Spell_Frost_IceShock",
	["Improved Curse of Agony"]="Spell_Shadow_CurseOfSargeras",
	["Improved Curse of Exhaustion"]="Spell_Shadow_GrimWard",
	["Improved Curse of Weakness"]="Spell_Shadow_CurseOfMannoroth",
	["Improved Dampen Magic"]="Spell_Nature_AbolishMagic",
	["Improved Deadly Poison"]="Ability_Rogue_DualWeild",
	["Improved Demoralizing Shout"]="Ability_Warrior_WarCry",
	["Improved Devotion Aura"]="Spell_Holy_DevotionAura",
	["Improved Disarm"]="Ability_Warrior_Disarm",
	["Improved Distract"]="Ability_Rogue_Distract",
	["Improved Drain Life"]="Spell_Shadow_LifeDrain02",
	["Improved Drain Mana"]="Spell_Shadow_SiphonMana",
	["Improved Drain Soul"]="Spell_Shadow_Haunting",
	["Improved Enrage"]="Ability_Druid_Enrage",
	["Improved Enslave Demon"]="Spell_Shadow_EnslaveDemon",
	["Improved Entangling Roots"]="Spell_Nature_StrangleVines",
	["Improved Evasion"]="Spell_Shadow_ShadowWard",
	["Improved Eviscerate"]="Ability_Rogue_Eviscerate",
	["Improved Execute"]="INV_Sword_48",
	["Improved Expose Armor"]="Ability_Warrior_Riposte",
	["Improved Eyes of the Beast"]="Ability_EyeOfTheOwl",
	["Improved Fade"]="Spell_Magic_LesserInvisibilty",
	["Improved Feign Death"]="Ability_Rogue_FeignDeath",
	["Improved Fire Blast"]="Spell_Fire_Fireball",
	["Improved Fire Nova Totem"]="Spell_Fire_SealOfFire",
	["Improved Fire Ward"]="Spell_Fire_FireArmor",
	["Improved Fireball"]="Spell_Fire_FlameBolt",
	["Improved Firebolt"]="Spell_Fire_FireBolt",
	["Improved Firestone"]="INV_Ammo_FireTar",
	["Improved Flamestrike"]="Spell_Fire_SelfDestruct",
	["Improved Flametongue Weapon"]="Spell_Fire_FlameTounge",
	["Improved Flash of Light"]="Spell_Holy_FlashHeal",
	["Improved Frost Nova"]="Spell_Frost_FreezingBreath",
	["Improved Frost Ward"]="Spell_Frost_FrostWard",
	["Improved Frostbolt"]="Spell_Frost_FrostBolt02",
	["Improved Frostbrand Weapon"]="Spell_Frost_FrostBrand",
	["Improved Garrote"]="Ability_Rogue_Garrote",
	["Improved Ghost Wolf"]="Spell_Nature_SpiritWolf",
	["Improved Gouge"]="Ability_Gouge",
	["Improved Grace of Air Totem"]="Spell_Nature_InvisibilityTotem",
	["Improved Grounding Totem"]="Spell_Nature_GroundingTotem",
	["Improved Hammer of Justice"]="Spell_Holy_SealOfMight",
	["Improved Hamstring"]="Ability_ShockWave",
	["Improved Healing Stream Totem"]="INV_Spear_04",
	["Improved Healing Touch"]="Spell_Nature_HealingTouch",
	["Improved Healing Wave"]="Spell_Nature_MagicImmunity",
	["Improved Healing"]="Spell_Holy_Heal02",
	["Improved Health Funnel"]="Spell_Shadow_LifeDrain",
	["Improved Healthstone"]="INV_Stone_04",
	["Improved Heroic Strike"]="Ability_Rogue_Ambush",
	["Improved Hunter's Mark"]="Ability_Hunter_SniperShot",
	["Improved Immolate"]="Spell_Fire_Immolation",
	["Improved Imp"]="Spell_Shadow_SummonImp",
	["Improved Inner Fire"]="Spell_Holy_InnerFire",
	["Improved Instant Poison"]="Ability_Poisons",
	["Improved Intercept"]="Ability_Rogue_Sprint",
	["Improved Intimidating Shout"]="Ability_GolemThunderClap",
	["Improved Judgement"]="Spell_Holy_RighteousFury",
	["Improved Kick"]="Ability_Kick",
	["Improved Kidney Shot"]="Ability_Rogue_KidneyShot",
	["Improved Lash of Pain"]="Spell_Shadow_Curse",
	["Improved Lay on Hands"]="Spell_Holy_LayOnHands",
	["Improved Lesser Healing Wave"]="Spell_Nature_HealingWaveLesser",
	["Improved Life Tap"]="Spell_Shadow_BurningSpirit",
	["Improved Lightning Bolt"]="Spell_Nature_Lightning",
	["Improved Lightning Shield"]="Spell_Nature_LightningShield",
	["Improved Magma Totem"]="Spell_Fire_SelfDestruct",
	["Improved Mana Burn"]="Spell_Shadow_ManaBurn",
	["Improved Mana Shield"]="Spell_Shadow_DetectLesserInvisibility",
	["Improved Mana Spring Totem"]="Spell_Nature_ManaRegenTotem",
	["Improved Mark of the Wild"]="Spell_Nature_Regeneration",
	["Improved Mend Pet"]="Ability_Hunter_MendPet",
	["Improved Mind Blast"]="Spell_Shadow_UnholyFrenzy",
	["Improved Moonfire"]="Spell_Nature_StarFall",
	["Improved Nature's Grasp"]="Spell_Nature_NaturesWrath",
	["Improved Overpower"]="INV_Sword_05",
	["Improved Power Word: Fortitude"]="Spell_Holy_WordFortitude",
	["Improved Power Word: Shield"]="Spell_Holy_PowerWordShield",
	["Improved Prayer of Healing"]="Spell_Holy_PrayerOfHealing02",
	["Improved Psychic Scream"]="Spell_Shadow_PsychicScream",
	["Improved Pummel"]="INV_Gauntlets_04",
	["Improved Regrowth"]="Spell_Nature_ResistNature",
	["Improved Reincarnation"]="Spell_Nature_Reincarnation",
	["Improved Rejuvenation"]="Spell_Nature_Rejuvenation",
	["Improved Rend"]="Ability_Gouge",
	["Improved Renew"]="Spell_Holy_Renew",
	["Improved Retribution Aura"]="Spell_Holy_AuraOfLight",
	["Improved Revenge"]="Ability_Warrior_Revenge",
	["Improved Revive Pet"]="Ability_Hunter_BeastSoothe",
	["Improved Righteous Fury"]="Spell_Holy_SealOfFury",
	["Improved Rockbiter Weapon"]="Spell_Nature_RockBiter",
	["Improved Rupture"]="Ability_Rogue_Rupture",
	["Improved Sap"]="Ability_Sap",
	["Improved Scorch"]="Spell_Fire_SoulBurn",
	["Improved Scorpid Sting"]="Ability_Hunter_CriticalShot",
	["Improved Seal of Righteousness"]="Ability_ThunderBolt",
	["Improved Seal of the Crusader"]="Spell_Holy_HolySmite",
	["Improved Searing Pain"]="Spell_Fire_SoulBurn",
	["Improved Searing Totem"]="Spell_Fire_SearingTotem",
	["Improved Serpent Sting"]="Ability_Hunter_Quickshot",
	["Improved Shadow Bolt"]="Spell_Shadow_ShadowBolt",
	["Improved Shadow Word: Pain"]="Spell_Shadow_ShadowWordPain",
	["Improved Shield Bash"]="Ability_Warrior_ShieldBash",
	["Improved Shield Block"]="Ability_Defend",
	["Improved Shield Wall"]="Ability_Warrior_ShieldWall",
	["Improved Shred"]="Spell_Shadow_VampiricAura",
	["Improved Sinister Strike"]="Spell_Shadow_RitualOfSacrifice",
	["Improved Slam"]="Ability_Warrior_DecisiveStrike",
	["Improved Slice and Dice"]="Ability_Rogue_SliceDice",
	["Improved Spellstone"]="INV_Misc_Gem_Sapphire_01",
	["Improved Sprint"]="Ability_Rogue_Sprint",
	["Improved Starfire"]="Spell_Arcane_StarFire",
	["Improved Stoneclaw Totem"]="Spell_Nature_StoneClawTotem",
	["Improved Stoneskin Totem"]="Spell_Nature_StoneSkinTotem",
	["Improved Strength of Earth Totem"]="Spell_Nature_EarthBindTotem",
	["Improved Succubus"]="Spell_Shadow_SummonSuccubus",
	["Improved Sunder Armor"]="Ability_Warrior_Sunder",
	["Improved Taunt"]="Spell_Nature_Reincarnation",
	["Improved Thorns"]="Spell_Nature_Thorns",
	["Improved Thunder Clap"]="Ability_ThunderClap",
	["Improved Tranquility"]="Spell_Nature_Tranquility",
	["Improved Vampiric Embrace"]="Spell_Shadow_ImprovedVampiricEmbrace",
	["Improved Vanish"]="Ability_Vanish",
	["Improved Voidwalker"]="Spell_Shadow_SummonVoidWalker",
	["Improved Windfury Weapon"]="Spell_Nature_Cyclone",
	["Improved Wing Clip"]="Ability_Rogue_Trip",
	["Improved Wrath"]="Spell_Nature_AbolishMagic",
	["Imp's Fire Shield Effect"]="Spell_Fire_Immolation",
	["Imp's Firebolt"]="Spell_Fire_FireBolt",
	["Incapacitating Shout"]="Ability_Warrior_WarCry",
	["Incinerate"]="Spell_Shadow_ChillTouch",
	["Incite Flames"]="Spell_Fire_FlameBlades",
	["Increased Agility"]="INV_Gauntlets_19",
	["Increased Intellect"]="INV_Misc_Organ_03",
	["Increased Spirit"]="INV_Misc_Orb_03",
	["Increased Stamina"]="INV_Boots_Plate_03",
	["Inevitable Doom"]="Spell_Shadow_NightOfTheDead",
	["Infallible Mind"]="Spell_Ice_Lament",
	["Infected Bite"]="Spell_Shadow_CallofBone",
	["Infected Wound"]="Spell_Nature_NullifyDisease",
	["Inferno"]="Spell_Shadow_SummonInfernal",
	["Inferno Effect"]="Spell_Frost_Stun",
	["Inferno Shell"]="Spell_Fire_SelfDestruct",
	["Initiative"]="Spell_Shadow_Fumble",
	["Ink Spray"]="Spell_Nature_Sleep",
	["Inner Fire"]="Spell_Holy_InnerFire",
	["Inner Focus"]="Spell_Frost_WindWalkOn",
	["Innervate"]="Spell_Nature_Lightning",
	["Insect Swarm"]="Spell_Nature_InsectSwarm",
	["Insight"]="Spell_Holy_MagicalSentry",
	["Insight of the Qiraji"]="INV_QirajIdol_Death",
	["Inspiration"]="Spell_Holy_LayOnHands",
	["Instant Poison II"]="Ability_Poisons",
	["Instant Poison III"]="Ability_Poisons",
	["Instant Poison IV"]="Ability_Poisons",
	["Instant Poison V"]="Ability_Poisons",
	["Instant Poison VI"]="Ability_Poisons",
	["Instant Poison"]="Ability_Poisons",
	["Intellect"]="Spell_Holy_MagicalSentry",
	["Intense Pain"]="Spell_Shadow_ShadowWordPain",
	["Intensity"]="Spell_Fire_LavaSpawn",
	["Intercept"]="Ability_Rogue_Sprint",
	["Intercept Stun"]="Spell_Frost_Stun",
	["Intimidating Growl"]="Ability_Racial_Cannibalize",
	["Intimidating Roar"]="Ability_GolemThunderClap",
	["Intimidating Shout"]="Ability_GolemThunderClap",
	["Intimidation"]="Ability_Devour",
	["Intoxicating Venom"]="Ability_Creature_Poison_01",
	["Involuntary Transformation"]="Spell_Shadow_Charm",
	["Invigorate"]="Spell_Holy_GreaterHeal",
	["Invisibility"]="INV_Potion_18",
	["Invulnerability"]="Spell_Holy_DivineIntervention",
	["Irradiated"]="Spell_Holy_HarmUndeadAura",
	["Iron Grenade"]="Spell_Fire_SelfDestruct",
	["Iron Shield Spike"]="INV_Ammo_Arrow_01",
	["Iron Will"]="Spell_Magic_MageArmor",
	["Ironforge Gift of Friendship"]="INV_Misc_Gift_01",
	["Ishamuhale's Rage"]="Spell_Nature_Purge",
	["Itch"]="Spell_Nature_NatureTouchDecay",
	["Item - Purify"]="Spell_Holy_Purify",
	["Jadefire"]="Spell_Fire_SealOfFire",
	["Jang'thraze"]="Ability_Defend",
	["Jeklik's Crushing Blow"]="Ability_Gouge",
	["Jom Gabbar"]="INV_Misc_EngGizmos_19",
	["Judgement of Command"]="Ability_Warrior_InnerRage",
	["Judgement of Justice"]="Spell_Holy_SealOfWrath",
	["Judgement of Light"]="Spell_Holy_HealingAura",
	["Judgement of Righteousness"]="Ability_ThunderBolt",
	["Judgement of Wisdom"]="Spell_Holy_RighteousnessAura",
	["Judgement of the Crusader"]="Spell_Holy_HolySmite",
	["Judgement"]="Spell_Holy_SearingLight",
	["Juju Chill"]="INV_Misc_MonsterScales_09",
	["Juju Ember"]="INV_Misc_MonsterScales_15",
	["Juju Escape"]="INV_Misc_MonsterScales_17",
	["Juju Flurry"]="INV_Misc_MonsterScales_17",
	["Juju Guile"]="INV_Misc_MonsterScales_13",
	["Juju Might"]="INV_Misc_MonsterScales_07",
	["Juju Power"]="INV_Misc_MonsterScales_11",
	["Julie's Blessing"]="Spell_Holy_Renew",
	["Jumping Lightning"]="Spell_Nature_Lightning",
	["Keeper's Sting"]="Spell_Lightning_LightningBolt01",
	["Kick"]="Ability_Kick",
	["Kick - Silenced"]="Ability_Kick",
	["Kidney Shot"]="Ability_Rogue_KidneyShot",
	["Killer Instinct"]="Spell_Holy_BlessingOfStamina",
	["King of the Gordok"]="INV_Crown_02",
	["Kiss of the Spider"]="INV_Trinket_Naxxramas04",
	["Knock Away"]="INV_Gauntlets_05",
	["Knockback"]="Ability_Kick",
	["Knockdown"]="Ability_GolemThunderClap",
	["Knockout"]="INV_Gauntlets_05",
	["Kodo Riding"]="Spell_Nature_Swiftness",
	["Kodo Stomp"]="Ability_WarStomp",
	["Kreeg's Stout Beatdown"]="INV_Drink_05",
	["Lag"]="INV_Gizmo_02",
	["Lakota'mani's Thunder"]="Spell_Nature_Purge",
	["Large Copper Bomb"]="Spell_Fire_SelfDestruct",
	["Large Seaforium Backfire"]="Spell_Fire_Fire",
	["Larva Goo"]="Ability_Creature_Poison_02",
	["Lash"]="Ability_CriticalStrike",
	["Lash of Pain"]="Spell_Shadow_Curse",
	["Last Stand"]="Spell_Holy_AshesToAshes",
	["Lasting Judgement"]="Spell_Holy_HealingAura",
	["Lay on Hands"]="Spell_Holy_LayOnHands",
	["Lava Bomb"]="Spell_Fire_SelfDestruct",
	["Lava Breath"]="Spell_Fire_WindsOfWoe",
	["Lava Burst"]="Spell_Fire_Volcano",
	["Lava Shield"]="Spell_Fire_Immolation",
	["Lava Spout Totem"]="Spell_Fire_SelfDestruct",
	["Leader of the Pack"]="Spell_Nature_UnyeildingStamina",
	["Leather"]="INV_Chest_Leather_09",
	["Leatherworking"] = "INV_Misc_ArmorKit_17",
	["Leech Poison"]="Spell_Nature_NullifyPoison",
	["Leech Pulse"]="Spell_Holy_SealOfSacrifice",
	["Leper Gnome Costume"]="INV_Misc_Head_Gnome_01",
	["Lesser Agility"]="INV_Potion_91",
	["Lesser Armor"]="INV_Potion_65",
	["Lesser Heal"]="Spell_Holy_LesserHeal",
	["Lesser Healing Wave"]="Spell_Nature_HealingWaveLesser",
	["Lesser Healthstone"]="INV_Stone_04",
	["Lesser Intellect"]="INV_Potion_10",
	["Lesser Invisibility"]="INV_Potion_18",
	["Lesser Mark of the Dawn"]="INV_Misc_Token_ArgentDawn",
	["Lesser Strength"]="INV_Potion_56",
	["Lethal Shots"]="Ability_SearingArrow",
	["Lethality"]="Ability_CriticalStrike",
	["Levitate"]="Spell_Holy_LayOnHands",
	["Libram"]="INV_Misc_Book_11",
	["Lich Slap"]="Spell_Shadow_ChillTouch",
	["Life Harvest"]="Spell_Shadow_Requiem",
	["Life Steal"]="Spell_Shadow_LifeDrain02",
	["Life Tap"]="Spell_Shadow_BurningSpirit",
	["Lifegiving Gem"]="INV_Misc_Gem_Pearl_05",
	["Lifestone Healing"]="INV_Stone_04",
	["Light of Elune"]="Spell_Holy_Restoration",
	["Lightheaded"]="INV_Drink_05",
	["Lightning"]="Spell_Lightning_LightningBolt01",
	["Lightning Barrier"]="Spell_Nature_LightningShield",
	["Lightning Blast"]="Spell_Nature_Lightning",
	["Lightning Bolt"]="Spell_Nature_Lightning",
	["Lightning Bolt Proc V"]="Spell_Nature_WispHeal",
	["Lightning Breath"]="Spell_Nature_Lightning",
	["Lightning Cloud"]="Spell_Nature_CallStorm",
	["Lightning Hide"]="Spell_Nature_LightningShield",
	["Lightning Mastery"]="Spell_Lightning_LightningBolt01",
	["Lightning Reflexes"]="Spell_Nature_Invisibilty",
	["Lightning Shield"]="Spell_Nature_LightningShield",
	["Lightning Strike"]="Spell_Lightning_LightningBolt01",
	["Lightning Wave"]="Spell_Nature_ChainLightning",
	["Lightwell Renew"]="Spell_Holy_SummonLightwell",
	["Lightwell"]="Spell_Holy_SummonLightwell",
	["Lily Root"]="INV_Misc_Herb_02",
	["Link Dead"]="INV_Gizmo_01",
	["Linken's Boomerang"]="INV_Weapon_ShortBlade_10",
	["Living Bomb"]="INV_Enchant_EssenceAstralSmall",
	["Living Free Action"]="INV_Potion_07",
	["Living Flames"]="Spell_Fire_Immolation",
	["Lizard Bolt"]="Spell_Nature_Lightning",
	["Loatheb's Reflection"]="INV_Trinket_Naxxramas05",
	["Localized Toxin"]="Spell_Nature_CorrosiveBreath",
	["Lock Down"]="INV_Gizmo_01",
	["Locust Swarm"]="Spell_Nature_InsectSwarm",
	["Long Daze"]="Spell_Frost_Stun",
	["Longsight"]="Ability_TownWatch",
	["Lord General's Sword"]="Ability_Racial_Avatar",
	["Lordaeron Tower"]="INV_Banner_02",
	["Lordaeron's Blessing"]="Spell_Holy_PrayerOfSpirit",
	["Low Swipe"]="Ability_CriticalStrike",
	["Lucifron's Curse"]="Spell_Shadow_BlackPlague",
	["Luffa"]="INV_Fabric_Wool_01",
	["Lunar Fortune"]="INV_Misc_MissileLargeCluster_White",
	["M73 Frag Grenade"]="Spell_Fire_SelfDestruct",
	["Mace Specialization"]="INV_Mace_01",
	["Mace Stun Effect"]="Spell_Frost_Stun",
	["Machine Gun"]="Ability_Marksmanship",
	["Mage Armor"]="Spell_MageArmor",
	["Magenta Cap Sickness"]="Ability_GolemThunderClap",
	["Maggot Goo"]="Ability_Creature_Poison_02",
	["Maggot Slime"]="Spell_Shadow_CreepingPlague",
	["Magic Absorption"]="Spell_Nature_AstralRecalGroup",
	["Magic Reflection"]="Spell_Frost_FrostShock",
	["Magic Wings"]="Spell_Magic_FeatherFall",
	["Magma Blast"]="Spell_Fire_FlameShock",
	["Magma Shackles"]="Spell_Nature_EarthBind",
	["Magma Spit"]="Spell_Fire_Immolation",
	["Magma Splash"]="Spell_Fire_Immolation",
	["Magma Totem"]="Spell_Fire_SelfDestruct",
	["Magnetic Pull"]="Spell_Nature_GroundingTotem",
	["Mail"]="INV_Chest_Chain_05",
	["Major Healthstone"]="INV_Stone_04",
	["Malice"]="Ability_Racial_BloodRage",
	["Malfunction"]="Spell_Fire_Fire",
	["Malfunction Explosion"]="Spell_Fire_Fire",
	["Malown's Slam"]="Ability_Warrior_DecisiveStrike",
	["Mana Burn"]="Spell_Shadow_ManaBurn",
	["Mana Detonation"]="Spell_Nature_WispSplode",
	["Mana Drain"]="Spell_Shadow_SiphonMana",
	["Mana Infusion"]="INV_Trinket_Naxxramas01",
	["Mana Regeneration"]="Spell_Nature_ManaRegenTotem",
	["Mana Rejuvenation"]="Spell_Nature_Regenerate",
	["Mana Shield"]="Spell_Shadow_DetectLesserInvisibility",
	["Mana Spring"]="Spell_Nature_ManaRegenTotem",
	["Mana Spring Totem"]="Spell_Nature_ManaRegenTotem",
	["Mana Surge"]="Spell_Shadow_Teleport",
	["Mana Tide Totem"]="Spell_Frost_SummonWaterElemental",
	["Manastorm"]="Spell_Frost_IceStorm",
	["Mangle"]="Ability_Druid_Mangle",
	["Mark of Arlokk"]="Ability_Hunter_SniperShot",
	["Mark of Blaumeux"]="Spell_Holy_ElunesGrace",
	["Mark of Detonation"]="Spell_Fire_SelfDestruct",
	["Mark of Flames"]="Spell_Fire_Fireball",
	["Mark of Kazzak"]="Spell_Shadow_AntiShadow",
	["Mark of Korth'azz"]="Spell_Shadow_Metamorphosis",
	["Mark of Mograine"]="Spell_Shadow_SealOfKings",
	["Mark of Shame"]="Spell_Shadow_AuraOfDarkness",
	["Mark of the Chosen"]="INV_Jewelry_Talisman_08",
	["Mark of the Chosen Effect"]="INV_Jewelry_Talisman_08",
	["Mark of the Dawn"]="INV_Misc_Token_ArgentDawn2",
	["Mark of the Dragon Lord"]="INV_Misc_Head_Dragon_01",
	["Mark of the Wild"]="Spell_Nature_Regeneration",
	["Mark of Zeliek"]="Spell_Shadow_CurseOfAchimonde",
	["Martyrdom"]="Spell_Nature_Tranquility",
	["Mar'li's Brain Boost"]="INV_ZulGurubTrinket",
	["Massive Destruction"]="Spell_Fire_WindsOfWoe",
	["Massive Eruption"]="Spell_Fire_Volcano",
	["Massive Geyser"]="Spell_Frost_SummonWaterElemental",
	["Massive Tremor"]="Ability_Smash",
	["Master Angler"]="INV_Misc_Fish_04",
	["Master Demonologist"]="Spell_Shadow_ShadowPact",
	["Master Summoner"]="Spell_Shadow_ImpPhaseShift",
	["Master of Deception"]="Spell_Shadow_Charm",
	["Master of Elements"]="Spell_Fire_MasterOfElements",
	["Maul"]="Ability_Druid_Maul",
	["Mechanical Patch Kit"]="INV_Gizmo_03",
	["Mechanostrider Piloting"]="Spell_Nature_Swiftness",
	["Meditation"]="Spell_Nature_Sleep",
	["Megavolt"]="Spell_Nature_ChainLightning",
	["Melee Specialization"]="INV_Axe_02",
	["Melt Armor"]="Spell_Fire_Immolation",
	["Melt Ore"]="Spell_Fire_SelfDestruct",
	["Melt Weapon"]="Spell_Fire_MeteorStorm",
	["Mend Pet"]="Ability_Hunter_MendPet",
	["Mental Agility"]="Ability_Hibernation",
	["Mental Domination"]="Spell_Shadow_Metamorphosis",
	["Mental Strength"]="Spell_Nature_EnchantArmor",
	["Mercurial Shield"]="Spell_Shadow_GrimWard",
	["Metamorphosis Rune"]="INV_Misc_Rune_06",
	["Meteor"]="INV_Misc_Orb_05",
	["Midsummer Sausage"]="INV_Misc_Food_53",
	["Might of Shahram"]="Spell_Nature_WispSplode",
	["Mighty Blow"]="INV_Gauntlets_05",
	["Mighty Rage"]="Ability_Warrior_InnerRage",
	["Mind Blast"]="Spell_Shadow_UnholyFrenzy",
	["Mind Control"]="Spell_Shadow_ShadowWordDominate",
	["Mind Exhaustion"]="Spell_Shadow_Teleport",
	["Mind Flay"]="Spell_Shadow_SiphonMana",
	["Mind Probe"]="Spell_Arcane_Blink",
	["Mind Quickening"]="Spell_Nature_WispHeal",
	["Mind Shatter"]="Spell_Nature_Earthquake",
	["Mind Soothe"]="Spell_Holy_MindSooth",
	["Mind Tremor"]="Spell_Nature_Earthquake",
	["Mind Vision"]="Spell_Holy_MindVision",
	["Mind-numbing Poison II"]="Spell_Nature_NullifyDisease",
	["Mind-numbing Poison III"]="Spell_Nature_NullifyDisease",
	["Mind-numbing Poison"]="Spell_Nature_NullifyDisease",
	["Minions of Malathrom"]="Spell_Shadow_CorpseExplode",
	["Mining"]="Spell_Fire_FlameBlades",
	["Minor Healthstone"]="INV_Stone_04",
	["Miring Mud"]="Spell_Nature_StrangleVines",
	["Mirkfallon Fungus"]="Spell_Holy_HarmUndeadAura",
	["Mistletoe"]="INV_Misc_Branch_01",
	["Mithril Frag Bomb"]="Spell_Fire_SelfDestruct",
	["Mithril Shield Spike"]="INV_Ammo_Arrow_01",
	["Mobility Malfunction"]="INV_Gizmo_02",
	["Mocking Blow"]="Ability_Warrior_PunishingBlow",
	["Moist Towelette"]="Spell_Holy_HolyBolt",
	["Mol'dar's Moxie"]="Spell_Nature_MassTeleport",
	["Molten Blast"]="Spell_Fire_Fire",
	["Molten Metal"]="Spell_Fire_Fireball",
	["Mongoose Bite"]="Ability_Hunter_SwiftStrike",
	["Monster Slaying"]="INV_Misc_Head_Dragon_Black",
	["Moonfire"]="Spell_Nature_StarFall",
	["Moonflare"]="Spell_Arcane_StarFire",
	["Moonflare Totem"]="Spell_Fire_SealOfFire",
	["Moonfury"]="Spell_Nature_MoonGlow",
	["Moonglow"]="Spell_Nature_Sentinal",
	["Moonkin Aura"]="Spell_Nature_MoonGlow",
	["Moonkin Form"]="Spell_Nature_ForceOfNature",
	["Mortal Cleave"]="Ability_Warrior_SavageBlow",
	["Mortal Shots"]="Ability_PierceDamage",
	["Mortal Strike"]="Ability_Warrior_SavageBlow",
	["Mortal Wound"]="Ability_CriticalStrike",
	["Moss Hide"]="Moosfell",
	["Mother's Milk"]="Ability_Creature_Poison_02",
	["Multi-Shot"]="Ability_UpgradeMoonGlaive",
	["Murder"]="Spell_Shadow_DeathScream",
	["Muscle Tear"]="Ability_Gouge",
	["Musty Tome Trap"]="Spell_Shadow_Charm",
	["Mutagen Explosion"]="Spell_Shadow_CallOfBone",
	["Mutated Spores"]="Spell_Nature_AbolishMagic",
	["Mutating Injection"]="Spell_Shadow_CallOfBone",
	["Mystical Disjunction"]="Spell_Lightning_LightningBolt01",
	["Myzrael Earthquake"]="Spell_Nature_Earthquake",
	["Narain!"]="INV_Misc_Head_Gnome_01",
	["Naralex's Nightmare"]="Spell_Nature_Sleep",
	["Naraxis Web"]="Spell_Nature_StrangleVines",
	["Natural Armor"]="Spell_Nature_SpiritArmor",
	["Natural Shapeshifter"]="Spell_Nature_WispSplode",
	["Natural Weapons"]="INV_Staff_01",
	["Nature Aligned"]="Spell_Nature_SpiritArmor",
	["Nature Protection"]="Spell_Nature_SpiritArmor",
	["Nature Protection "]="Naturschutz",
	["Nature Resistance Totem"]="Spell_Nature_NatureResistanceTotem",
	["Nature Resistance"]="Spell_Nature_ResistNature",
	["Nature Weakness"]="INV_Misc_QirajiCrystal_03",
	["Nature's Ally"]="Spell_Nature_SpiritWolf",
	["Nature's Bounty"]="INV_Jewelry_Talisman_06",
	["Nature's Focus"]="Spell_Nature_HealingWaveGreater",
	["Nature's Grace"]="Spell_Nature_NaturesBlessing",
	["Nature's Grasp"]="Spell_Nature_NaturesWrath",
	["Nature's Reach"]="Spell_Nature_NatureTouchGrow",
	["Nature's Swiftness"]="Spell_Nature_RavenForm",
	["Necrotic Poison"]="Ability_Creature_Poison_03",
	["Negative Charge"]="Spell_ChargeNegative",
	["Net"]="Ability_Ensnare",
	["Netherwind Focus"]="Spell_Shadow_Teleport",
	["Net-o-Matic"]="Ability_Ensnare",
	["Night Dragon's Breath"]="INV_Misc_Food_45",
	["Nightfall"]="Spell_Shadow_Twilight",
	["Nimble Healing Touch"]="Spell_Nature_Regenerate",
	["Nimble Reflexes"]="Ability_MeleeDamage",
	["Ninja Costume"]="Ability_Kick",
	["Noggenfogger Elixir"]="INV_Potion_83",
	["Not There"]="Spell_Holy_DispelMagic",
	["Noxious Catalyst"]="Spell_Holy_HarmUndeadAura",
	["Noxious Cloud"]="Spell_Nature_AbolishMagic",
	["Noxious Poison"]="Spell_Nature_CorrosiveBreath",
	["Nullify"]="Spell_Nature_GroundingTotem",
	["Nullify Mana"]="Spell_Shadow_DarkRitual",
	["Numbing Pain"]="Spell_Nature_CorrosiveBreath",
	["Obsidian Insight"]="INV_Misc_AhnQirajTrinket_04",
	["Obsidian Reflection"]="Spell_Shadow_Teleport",
	["Omen of Clarity"]="Spell_Nature_CrystalBall",
	["One-Handed Axes"]="INV_Axe_01",
	["One-Handed Maces"]="INV_Mace_01",
	["One-Handed Swords"]="Ability_MeleeDamage",
	["One-Handed Weapon Specialization"]="INV_Sword_20",
	["Opening - No Text"]="Temp",
	["Opening"]="Temp",
	["Opportunity"]="Ability_Warrior_WarCry",
	["Oracular Heal"]="Spell_Holy_LesserHeal02",
	["Orb of Deception"]="Spell_Shadow_AntiShadow",
	["Orgrimmar Gift of Friendship"]="INV_Misc_Gift_01",
	["Overdrive"]="INV_Gizmo_08",
	["Overpower"]="Ability_MeleeDamage",
	["Overseer's Poison"]="Spell_Nature_CorrosiveBreath",
	["Overwhelming Stench"]="Spell_Shadow_AnimateDead",
	["Pacify"]="Ability_Seal",
	["Pagle's Broken Reel"]="Spell_Frost_WizardMark",
	["Panic"]="Spell_Shadow_DeathScream",
	["Paralyze"]="Spell_Shadow_Charm",
	["Paralyzing Poison"]="Ability_PoisonSting",
	["Paranoia"]="Spell_Shadow_AuraOfDarkness",
	["Parasite"]="Ability_Poisons",
	["Parasitic Serpent"]="INV_Misc_MonsterHead_03",
	["Parry"]="Ability_Parry",
	["Party Time!"]="Spell_Shadow_DarkSummoning",
	["Pathfinding"]="Ability_Mount_JungleTiger",
	["Perception"]="Spell_Nature_Sleep",
	["Perfume"]="INV_ValentinePerfumeBottle",
	["Permafrost"]="Spell_Frost_Wisp",
	["Persistent Shield"]="Spell_Nature_SpiritArmor",
	["Pet Aggression"]="Ability_Druid_Maul",
	["Pet Hardiness"]="Ability_BullRush",
	["Pet Recovery"]="Ability_Hibernation",
	["Pet Resistance"]="Spell_Holy_BlessingOfAgility",
	["Petrification"]="INV_Potion_26",
	["Petrify"]="Ability_GolemThunderClap",
	["Phantom Strike"]="Spell_Nature_FaerieFire",
	["Phase Shift"]="Spell_Shadow_ImpPhaseShift",
	["Physical Protection"]="Spell_Holy_DevotionAura",
	["Piccolo of the Flaming Fire"]="INV_Misc_Flute_01",
	["Pick Lock"]="Spell_Nature_MoonKey",
	["Pick Pocket"]="INV_Misc_Bag_11",
	["Pierce Armor"]="Spell_Shadow_VampiricAura",
	["Piercing Howl"]="Spell_Shadow_DeathScream",
	["Piercing Ice"]="Spell_Frost_Frostbolt",
	["Piercing Shadow"]="Spell_Shadow_ChillTouch",
	["Piercing Shot"]="Ability_SearingArrow",
	["Piercing Shriek"]="Spell_Shadow_DeathScream",
	["Pirate Costume"]="Ability_Rogue_Disguise",
	["Plague"]="Spell_Shadow_CurseOfTounges",
	["Plague Cloud"]="Spell_Shadow_CallofBone",
	["Plague Effect"]="Spell_Shadow_CurseOfTounges",
	["Plague Mind"]="Spell_Shadow_CallofBone",
	["Plate Mail"]="INV_Chest_Plate01",
	["Pointy Spike"]="Ability_ImpalingBolt",
	["Poison Cleansing Totem"]="Spell_Nature_PoisonCleansingTotem",
	["Poison"]="Spell_Nature_CorrosiveBreath",
	["Poison Aura"]="Spell_Nature_CorrosiveBreath",
	["Poison Bolt"]="Spell_Nature_CorrosiveBreath",
	["Poison Bolt Volley"]="Spell_Nature_CorrosiveBreath",
	["Poison Charge"]="Spell_Nature_CorrosiveBreath",
	["Poison Cloud"]="Spell_Nature_NatureTouchDecay",
	["Poison Mind"]="Spell_Nature_CorrosiveBreath",
	["Poison Shock"]="Spell_Nature_Acid_01",
	["Poison Spray"]="Spell_Nature_CorrosiveBreath",
	["Poison Stinger"]="INV_Misc_MonsterTail_03",
	["Poisoned Harpoon"]="Ability_Poisons",
	["Poisoned Shot"]="Ability_Poisons",
	["Poisonous Blood"]="Spell_Nature_Regenerate",
	["Poisonous Stab"]="Spell_Nature_Regenerate",
	["Poisons"]="Trade_BrewPoison",
	["Polearm Specialization"]="INV_Weapon_Halbard_01",
	["Polearms"]="INV_Spear_06",
	["Polished Armor"]="INV_Shield_10",
	["Polymorph"]="Spell_Nature_Polymorph",
	["Polymorph: Chicken"]="Spell_Magic_PolymorphChicken",
	["Polymorph: Pig"]="Spell_Magic_PolymorphPig",
	["Polymorph: Turtle"]="Ability_Hunter_Pet_Turtle",
	["Portal: Darnassus"]="Spell_Arcane_PortalDarnassus",
	["Portal: Ironforge"]="Spell_Arcane_PortalIronForge",
	["Portal: Orgrimmar"]="Spell_Arcane_PortalOrgrimmar",
	["Portal: Stormwind"]="Spell_Arcane_PortalStormWind",
	["Portal: Thunder Bluff"]="Spell_Arcane_PortalThunderBluff",
	["Portal: Undercity"]="Spell_Arcane_PortalUnderCity",
	["Portal of Immol'thar"]="Spell_Arcane_PortalIronForge",
	["Positive Charge"] = "Spell_ChargePositive",
	["Possess"]="Spell_Shadow_Charm",
	["Potion Strength II"]="Spell_Nature_Strength",
	["Potion Toss"]="Spell_Misc_Drink",
	["Pounce Bleed"]="Ability_Druid_SupriseAttack",
	["Pounce"]="Ability_Druid_SupriseAttack",
	["Powerful Anti-Venom"]="Spell_Nature_NullifyPoison_02",
	["Power Infusion"]="Spell_Holy_PowerInfusion",
	["Power of the Guardian"]="Spell_Nature_MoonGlow",
	["Power Word: Fortitude"]="Spell_Holy_WordFortitude",
	["Power Word: Shield"]="Spell_Holy_PowerWordShield",
	["Prayer Beads Blessing"]="INV_Jewelry_Necklace_11",
	["Prayer of Fortitude"]="Spell_Holy_PrayerOfFortitude",
	["Prayer of Healing"]="Spell_Holy_PrayerOfHealing02",
	["Prayer of Shadow Protection"]="Spell_Holy_PrayerofShadowProtection",
	["Prayer of Spirit"]="Spell_Holy_PrayerofSpirit",
	["Precision"]="Ability_Marksmanship",
	["Predatory Strikes"]="Ability_Hunter_Pet_Cat",
	["Premeditation"]="Spell_Shadow_Possession",
	["Preparation"]="Spell_Shadow_AntiShadow",
	["Presence of Death"]="Spell_Shadow_ShadeTrueSight",
	["Presence of Mind"]="Spell_Nature_EnchantArmor",
	["Primal Blessing"]="Ability_Hunter_Harass",
	["Primal Fury"]="Ability_Racial_Cannibalize",
	["Primal Instinct"]="Ability_Hunter_Pet_Raptor",
	["Prismstone"]="INV_Misc_Gem_Variety_02",
	["Proudmoore's Defense"]="Spell_Holy_BlessingOfProtection",
	["Proximity Bomb Explode"]="Spell_Shadow_MindBomb",
	["Prowl"]="Ability_Druid_SupriseAttack",
	["Psychic Scream"]="Spell_Shadow_PsychicScream",
	["Pummel"]="INV_Gauntlets_04",
	["Puncture"]="Ability_Gouge",
	["Puncture Armor"]="Ability_CriticalStrike",
	["Purge"]="Spell_Nature_Purge",
	["Purification"]="Spell_Frost_WizardMark",
	["Purify"]="Spell_Holy_Purify",
	["Pursuit of Justice"]="Spell_Holy_PersuitofJustice",
	["Putrid Bile"]="Spell_Nature_Regenerate",
	["Putrid Bite"]="Ability_Creature_Disease_03",
	["Putrid Breath"]="Spell_Holy_HarmUndeadAura",
	["Putrid Enzyme"]="Spell_Nature_NullifyDisease",
	["Putrid Stench"]="Spell_Shadow_CallOfBone",
	["Pyroblast"]="Spell_Fire_Fireball02",
	["Pyroclasm"]="Spell_Fire_Volcano",
	["Pyroclast Barrage"]="Spell_Fire_Fireball02",
	["Quake"]="Spell_Nature_Earthquake",
	["Quick Bloodlust"]="Spell_Nature_BloodLust",
	["Quick Flame Ward"]="Spell_Fire_SealOfFire",
	["Quick Frost Ward"]="Spell_Fire_SealOfFire",
	["Quick Shot"]="Ability_Hunter_QuickShot",
	["Quick Shots"]="Ability_Warrior_InnerRage",
	["Quick Sidestep"]="Spell_Nature_Invisibilty",
	["Quickness"]="Ability_Racial_ShadowMeld",
	["Quill Shot"]="Spell_Lightning_LightningBolt01",
	["Rabies"]="Spell_Holy_HarmUndeadAura",
	["Radiation"]="Spell_Shadow_CorpseExplode",
	["Radiation Bolt"]="Spell_Shadow_CorpseExplode",
	["Radiation Cloud"]="Spell_Shadow_CorpseExplode",
	["Radiation Poisoning"]="Spell_Shadow_CorpseExplode",
	["Rage"]="Ability_Racial_BloodRage",
	["Rage of Ages"]="Spell_Nature_Strength",
	["Rage of Thule"]="Spell_Shadow_UnholyFrenzy",
	["Ragged John's Neverending Cup"]="INV_Drink_05",
	["Rain of Fire"]="Spell_Shadow_RainOfFire",
	["Rake"]="Ability_Druid_Disembowel",
	["Rallying Cry of the Dragonslayer"]="INV_Misc_Head_Dragon_01",
	["Ram Riding"]="Spell_Nature_Swiftness",
	["Rampage"]="Spell_Nature_NaturesWrath",
	["Ramstein's Lightning Bolts"]="Spell_Lightning_LightningBolt01",
	["Rancid Blood"]="Spell_Shadow_CorpseExplode",
	["Ranged Weapon Specialization"]="INV_Weapon_Rifle_06",
	["Rapid Concealment"]="Ability_Ambush",
	["Rapid Fire"]="Ability_Hunter_RunningShot",
	["Rapid Healing"]="Spell_Holy_HealingAura",
	["Raptor Punch"]="INV_Drink_07",
	["Raptor Riding"]="Spell_Nature_Swiftness",
	["Raptor Strike"]="Ability_MeleeDamage",
	["Ravage"]="Ability_Druid_Ravage",
	["Ravenous Claw"]="Ability_GhoulFrenzy",
	["Razor Mane"]="Spell_Nature_Thorns",
	["Razorhide"]="Spell_Nature_Thorns",
	["Reactive Fade"]="Spell_Magic_LesserInvisibilty",
	["Readiness"]="Spell_Nature_Sleep",
	["Rebirth"]="Spell_Nature_Reincarnation",
	["Rebuild"]="Spell_Shadow_LifeDrain",
	["Recently Bandaged"]="INV_Misc_Bandage_08",
	["Reckless Charge"]="Spell_Nature_AstralRecal",
	["Recklessness"]="Ability_CriticalStrike",
	["Reckoning"]="Spell_Holy_BlessingOfStrength",
	["Recombobulate"]="Spell_Magic_PolymorphChicken",
	["Redemption"]="Spell_Holy_Resurrection",
	["Redoubt"]="Ability_Defend",
	["Reduced to Rubble"]="Spell_Nature_Earthquake",
	["Reflection"]="Spell_Shadow_Teleport",
	["Refocus"]="Ability_Hunter_SniperShot",
	["Regeneration"]="INV_Potion_79",
	["Regrowth"]="Spell_Nature_ResistNature",
	["Reincarnation"]="Spell_Nature_Reincarnation",
	["Rejuvenation"]="Spell_Nature_Rejuvenation",
	["Rejuvenation Potion"]="INV_Potion_47",
	["Relentless Strikes"]="Ability_Warrior_DecisiveStrike",
	["Relentless Strikes Effect"]="Ability_Warrior_DecisiveStrike",
	["Remorseless"]="Ability_FiegnDead",
	["Remorseless Attacks"]="Ability_FiegnDead",
	["Remove Curse"]="Spell_Holy_RemoveCurse",
	["Remove Insignia"]="Temp",
	["Remove Lesser Curse"]="Spell_Nature_RemoveCurse",
	["Rend"]="Ability_Gouge",
	["Rend Flesh"]="Ability_GhoulFrenzy",
	["Renew"]="Spell_Holy_Renew",
	["Repentance"]="Spell_Holy_PrayerOfHealing",
	["Replenish Mana"]="INV_Misc_Gem_Stone_01",
	["Replenish Mana I"]="INV_Misc_Gem_Stone_01",
	["Replenish Mana II"]="INV_Misc_Gem_Stone_01",
	["Repulsive Gaze"]="Ability_GolemThunderClap",
	["Resist Arcane"]="Spell_Arcane_Blink",
	["Resist Fire"]="Spell_Fire_FireArmor",
	["Resistance"]="INV_Potion_08",
	["Resistance Aura"]="Spell_Frost_WizardMark",
	["Restless Strength"]="Ability_CriticalStrike",
	["Restoration"]="Spell_Holy_DispelMagic",
	["Restore Energy"]="INV_Drink_Milk_05",
	["Restore Life"]="INV_Misc_Orb_03",
	["Restore Mana"]="INV_Potion_76",
	["Resupply"]="Spell_Misc_Drink",
	["Resurrection"]="Spell_Holy_Resurrection",
	["Retaliation"]="Ability_Warrior_Challange",
	["Retribution Aura"]="Spell_Holy_AuraOfLight",
	["Revealed Flaw"]="Ability_Warrior_Revenge",
	["Revenge Stun"]="Ability_Warrior_Revenge",
	["Revenge"]="Ability_Warrior_Revenge",
	["Reverberation"]="Spell_Frost_FrostWard",
	["Revitalize"]="Spell_Lightning_LightningBolt01",
	["Revive Pet"]="Ability_Hunter_BeastSoothe",
	["Rhahk'Zor Slam"]="INV_Gauntlets_05",
	["Ribbon of Souls"]="Spell_Nature_Lightning",
	["Rift Beacon"]="Spell_Nature_AbolishMagic",
	["Righteous Fire"]="Spell_Holy_BlessingOfProtection",
	["Righteous Fury"]="Spell_Holy_SealOfFury",
	["Rip"]="Ability_GhoulFrenzy",
	["Riposte"]="Ability_Warrior_Challange",
	["Riptide"]="Ability_Warrior_Disarm",
	["Rising Spirit"]="Spell_Nature_ManaRegenTotem",
	["Ritual Bell Aura"]="Spell_Shadow_ShadeTrueSight",
	["Ritual Candle Aura"]="Spell_Fire_Fire",
	["Ritual of Doom Effect"]="Spell_Arcane_PortalDarnassus",
	["Ritual of Doom"]="Spell_Shadow_AntiMagicShell",
	["Ritual of Summoning"]="Spell_Shadow_Twilight",
	["Rockbiter Weapon"]="Spell_Nature_RockBiter",
	["Rocket Blast"]="INV_Ammo_Bullet_01",
	["Rocket Boots Malfunction"]="Spell_Fire_Fire",
	["Rogue Armor Energize"]="Spell_Nature_GroundingTotem",
	["Rogue Passive"]="Ability_Stealth",
	["Rough Copper Bomb"]="Spell_Fire_SelfDestruct",
	["Rough Dynamite"]="Spell_Fire_SelfDestruct",
	["Ruin"]="Spell_Shadow_ShadowWordPain",
	["Rumsey Rum"]="INV_Drink_03",
	["Rumsey Rum Black Label"]="INV_Drink_04",
	["Rumsey Rum Dark"]="INV_Drink_04",
	["Rumsey Rum Light"]="INV_Drink_08",
	["Running Speed"]="Ability_Rogue_Sprint",
	["Rupture"]="Ability_Rogue_Rupture",
	["Rushing Charge"]="Ability_WarStomp",
	["Ruthlessness"]="Ability_Druid_Disembowel",
	["Sacred Cleansing"]="Spell_Holy_Excorcism_02",
	["Sacrifice"]="Spell_Shadow_SacrificialShield",
	["Safe Fall"]="INV_Feather_01",
	["Sanctified Orb"]="INV_Misc_Gem_Pearl_04",
	["Sanctity Aura"]="Spell_Holy_MindVision",
	["Sanctuary"]="Spell_Fire_SealOfFire",
	["Sand Blast"]="Spell_Nature_Cyclone",
	["Sand Breath"]="Spell_Fire_WindsOfWoe",
	["Sand Storm"]="Spell_Nature_EarthBind",
	["Sand Trap"]="INV_Misc_Dust_02",
	["Sap"]="Ability_Sap",
	["Sap Might"]="Spell_Shadow_AnimateDead",
	["Sapper Explode"]="Spell_Fire_SelfDestruct",
	["Savage Fury"]="Ability_Druid_Ravage",
	["Savage Rage"]="Spell_Shadow_UnholyFrenzy",
	["Savage Strikes"]="Ability_Racial_BloodRage",
	["Savagery"]="Ability_WhirlWind",
	["Savior's Sacrifice"]="Spell_Holy_DevotionAura",
	["Sayge's Dark Fortune of Agility"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Armor"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Damage"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Intelligence"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Resistance"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Spirit"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Stamina"]="INV_Misc_Orb_02",
	["Sayge's Dark Fortune of Strength"]="INV_Misc_Orb_02",
	["Scald"]="Spell_Fire_Fireball",
	["Scare Beast"]="Ability_Druid_Cower",
	["Scarlet Illusion"]="Spell_Holy_PrayerOfHealing",
	["Scatter Shot"]="Ability_GolemStormBolt",
	["Scorch"]="Spell_Fire_SoulBurn",
	["Scorpid Poison"]="Ability_PoisonSting",
	["Scorpid Sting"]="Ability_Hunter_CriticalShot",
	["Screams of the Past"]="Spell_Shadow_ImpPhaseShift",
	["Screech"]="Ability_Hunter_Pet_Bat",
	["Scourge Strike"]="Spell_Lightning_LightningBolt01",
	["Seal Fate"]="Spell_Shadow_ChillTouch",
	["Seal of Command"]="Ability_Warrior_InnerRage",
	["Seal of Justice"]="Spell_Holy_SealOfWrath",
	["Seal of Light"]="Spell_Holy_HealingAura",
	["Seal of Reckoning"]="Spell_Holy_SealOfWrath",
	["Seal of Righteousness"]="Ability_ThunderBolt",
	["Seal of Sacrifice"]="Spell_Holy_SealOfSacrifice",
	["Seal of Wisdom"]="Spell_Holy_RighteousnessAura",
	["Seal of the Crusader"]="Spell_Holy_HolySmite",
	["Searing Arrow"]="Ability_SearingArrow",
	["Searing Blast"]="Spell_Fire_Fireball",
	["Searing Flames"]="Spell_Fire_Immolation",
	["Searing Light"]="Spell_Holy_SearingLightPriest",
	["Searing Pain"]="Spell_Fire_SoulBurn",
	["Searing Totem"]="Spell_Fire_SearingTotem",
	["Second Wind"] = "INV_Jewelry_Talisman_06",
	["Seduction"]="Spell_Shadow_MindSteal",
	["Seeping Willow"]="Spell_Nature_CorrosiveBreath",
	["Self Destruct"]="Spell_Fire_SelfDestruct",
	["Self Healing"]="Spell_Holy_Heal",
	["Self Invulnerability"]="Spell_Holy_Heal",
	["Sense Demons"]="Spell_Shadow_Metamorphosis",
	["Sense Undead"]="Spell_Holy_SenseUndead",
	["Sentry Totem"]="Spell_Nature_RemoveCurse",
	["Serpent Form"]="Ability_Racial_BearForm",
	["Serpent Sting"]="Ability_Hunter_Quickshot",
	["Serpent's Hiss"]="INV_Mace_08",
	["Serrated Bite"]="Ability_Gouge",
	["Setup"]="Spell_Nature_MirrorImage",
	["Shackle Undead"]="Spell_Nature_Slow",
	["Shadow Affinity"]="Spell_Shadow_ShadowWard",
	["Shadow Barrier"]="Spell_Shadow_AntiShadow",
	["Shadow Bolt"]="Spell_Shadow_ShadowBolt",
	["Shadow Bolt Volley"]="Spell_Shadow_ShadowBolt",
	["Shadow Burst"]="Spell_Shadow_AntiShadow",
	["Shadow Command"]="Spell_Shadow_UnholyFrenzy",
	["Shadow Flame"]="Spell_Fire_Incinerate",
	["Shadow Focus"]="Spell_Shadow_BurningSpirit",
	["Shadow Mark"]="Spell_Shadow_ShadowWard",
	["Shadow Mastery"]="Spell_Shadow_ShadeTrueSight",
	["Shadow of Ebonroc"]="Spell_Shadow_GatherShadows",
	["Shadow Port"]="Spell_Shadow_AntiShadow",
	["Shadow Power"]="INV_Potion_46",
	["Shadow Protection"]="Spell_Shadow_AntiShadow",
	["Shadow Protection "]="Spell_Shadow_AntiShadow",
	["Shadow Reach"]="Spell_Shadow_ChillTouch",
	["Shadow Reflector"]="Spell_Shadow_AntiShadow",
	["Shadow Resistance Aura"]="Spell_Shadow_SealOfKings",
	["Shadow Resistance"]="Spell_Shadow_AntiShadow",
	["Shadow Shell"]="Spell_Shadow_AntiShadow",
	["Shadow Shield"]="Spell_Shadow_AntiShadow",
	["Shadow Shock"]="Spell_Shadow_ShadowBolt",
	["Shadow Shot"]="Spell_Lightning_LightningBolt01",
	["Shadow Storm"]="Spell_Shadow_ShadowBolt",
	["Shadow Trance"]="Spell_Shadow_Twilight",
	["Shadow Vulnerability"]="Spell_Shadow_BlackPlague",
	["Shadow Ward"]="Spell_Shadow_AntiShadow",
	["Shadow Weakness"]="INV_Misc_QirajiCrystal_05",
	["Shadow Weaving"]="Spell_Shadow_BlackPlague",
	["Shadow Word: Pain"]="Spell_Shadow_ShadowWordPain",
	["Shadow Wrath"]="Spell_Shadow_SiphonMana",
	["Shadowbolt"]="Spell_Shadow_ShadowBolt",
	["Shadowburn"]="Spell_Shadow_ScourgeBuild",
	["Shadowform"]="Spell_Shadow_Shadowform",
	["Shadowguard"]="Spell_Nature_LightningShield",
	["Shadowhorn Charge"]="Ability_WarStomp",
	["Shadowmeld Passive"]="Ability_Ambush",
	["Shadowmeld"]="Ability_Ambush",
	["Shard of the Fallen Star"]="Spell_Fire_Fireball02",
	["Shared Bonds"]="Spell_Shadow_UnsummonBuilding",
	["Sharpened Claws"]="INV_Misc_MonsterClaw_04",
	["Shatter"]="Spell_Frost_FrostShock",
	["Shazzrah's Curse"]="Spell_Shadow_AntiShadow",
	["Sheen of Zanza"]="INV_Potion_29",
	["Shell Shield"]="Ability_Hunter_Pet_Turtle",
	["Shield Bash"]="Ability_Warrior_ShieldBash",
	["Shield Bash - Silenced"]="Ability_Warrior_ShieldBash",
	["Shield Block"]="Ability_Defend",
	["Shield Charge"]="Ability_Warrior_Charge",
	["Shield Slam"]="INV_Shield_05",
	["Shield Specialization"]="INV_Shield_06",
	["Shield Spike"]="INV_Ammo_Arrow_01",
	["Shield Wall"]="Ability_Warrior_ShieldWall",
	["Shield"]="INV_Shield_04",
	["Shimmer Stout"]="INV_Drink_05",
	["Shock"]="Spell_Nature_WispHeal",
	["Shockwave"]="Spell_Nature_ThunderClap",
	["Shock Blast"]="Spell_Nature_GroundingTotem",
	["Shoot Bow"]="Ability_Marksmanship",
	["Shoot Crossbow"]="Ability_Marksmanship",
	["Shoot Gun"]="Ability_Marksmanship",
	["Shoot"]="Ability_ShootWand",
	["Shred"]="Spell_Shadow_VampiricAura",
	["Shrink"]="Spell_Shadow_AntiShadow",
	["Shrink Ray"]="Spell_Ice_MagicDamage",
	["Silence"]="Spell_Shadow_ImpPhaseShift",
	["Silent Resolve"]="Spell_Nature_ManaRegenTotem",
	["Silithid Pox"]="Spell_Nature_NullifyDisease",
	["Silverwing Flag"]="INV_BannerPVP_02",
	["Sinister Strike"]="Spell_Shadow_RitualOfSacrifice",
	["Siphon Blessing"]="Spell_Shadow_Charm",
	["Siphon Health"]="Spell_Nature_RemoveCurse",
	["Siphon Life"]="Spell_Shadow_Requiem",
	["Six Demon Bag"]="Spell_Shadow_Charm",
	["Skeleton Costume"]="Ability_Rogue_Disguise",
	["Skinning"] = "INV_Misc_Pelt_Wolf_01",
	["Skull Crack"]="Spell_Frost_Stun",
	["Skullforge Brand"]="Spell_Shadow_GatherShadows",
	["Slam"]="Ability_Warrior_DecisiveStrike",
	["Slayer's Crest"]="INV_Trinket_Naxxramas03",
	["Sleep"]="Spell_Nature_Sleep",
	["Sleepwalk"]="Spell_Shadow_DetectInvisibility",
	["Sleepy"]="Spell_Nature_Sleep",
	["Slice and Dice"]="Ability_Rogue_SliceDice",
	["Slime Bolt"]="Spell_Nature_CorrosiveBreath",
	["Slime Burst"]="Spell_Nature_Acid_01",
	["Slime Shot"]="Spell_Nature_Acid_01",
	["Slime Spray"]="Spell_Nature_CorrosiveBreath",
	["Slime Stream"]="Spell_Shadow_DeathAndDecay",
	["Sling Dirt"]="Spell_Nature_Sleep",
	["Sling Mud"]="Spell_Nature_Sleep",
	["Slip'kik's Savvy"]="Spell_Holy_LesserHeal02",
	["Sloth Effect"]="Spell_Shadow_Requiem",
	["Slow"]="Spell_Nature_Slow",
	["Slow Fall"]="Spell_Magic_FeatherFall",
	["Slowing Poison"]="Spell_Nature_SlowPoison",
	["Sludge"]="Spell_Shadow_Requiem",
	["Sludge Toxin"]="Spell_Nature_Regenerate",
	["Small Bronze Bomb"]="Spell_Fire_SelfDestruct",
	["Small Seaforium Backfire"]="Spell_Fire_Fire",
	["Smash"]="Ability_Smash",
	["Smelting"] = "Spell_Fire_FlameBlades",
	["Smite"]="Spell_Holy_HolySmite",
	["Smite Demon"]="Spell_Holy_HolyBolt",
	["Smite Stomp"]="Ability_WarStomp",
	["Smite Slam"]="INV_Gauntlets_05",
	["Smoke Bomb"]="Ability_Hibernation",
	["Smokey's Lighter"]="Spell_Fire_Incinerate",
	["Snap Kick"]="Ability_Kick",
	["Sneak"]="Ability_Stealth",
	["Snowball"]="INV_Ammo_SnowBall",
	["Solid Dynamite"]="Spell_Fire_SelfDestruct",
	["Songflower Serenade"]="Spell_Holy_MindVision",
	["Sonic Burst"]="Spell_Shadow_Teleport",
	["Soothe Animal"]="Ability_Hunter_BeastSoothe",
	["Soothing Kiss"]="Spell_Shadow_SoothingKiss",
	["Soul Bite"]="Spell_Shadow_SiphonMana",
	["Soul Breaker"]="Spell_Shadow_Haunting",
	["Soul Burn"]="Spell_Fire_SoulBurn",
	["Soul Consumption"]="Ability_Racial_Cannibalize",
	["Soul Drain"]="Spell_Shadow_LifeDrain02",
	["Soul Fire"]="Spell_Fire_Fireball02",
	["Soul Flame"]="Spell_Fire_Incinerate",
	["Soul Link"]="Spell_Shadow_GatherShadows",
	["Soul Rend"]="Spell_Shadow_Teleport",
	["Soul Revival"]="Spell_Holy_FlashHeal",
	["Soul Siphon"]="Spell_Shadow_LifeDrain02",
	["Soul Tap"]="Spell_Shadow_LifeDrain02",
	["Soulstone Resurrection"]="INV_Misc_Orb_04",
	["Speed"]="Ability_Kick",
	["Speed of Owatanka"]="Spell_Nature_Purge",
	["Spell Blasting"]="Spell_Lightning_LightningBolt01",
	["Spell Lock"]="Spell_Shadow_MindRot",
	["Spell Vulnerability"]="Spell_Holy_ElunesGrace",
	["Spell Warding"]="Spell_Holy_SpellWarding",
	["Spider Web"]="Spell_Nature_EarthBind",
	["Spider's Kiss"]="INV_Misc_MonsterSpiderCarapace_01",
	["Spike Volley"]="Ability_ImpalingBolt",
	["Spinal Reaper"]="Spell_Holy_HolyBolt",
	["Spirit"]="Spell_Shadow_BurningSpirit",
	["Spirit Bond"]="Ability_Druid_DemoralizingRoar",
	["Spirit Burst"]="Spell_Shadow_Teleport",
	["Spirit Decay"]="Spell_Holy_HarmUndeadAura",
	["Spirit of Boar"]="Spell_Nature_Purge",
	["Spirit of Redemption"]="INV_Enchant_EssenceEternalLarge",
	["Spirit of the Wind"]="Spell_Nature_EarthBind",
	["Spirit of Zandalar"]="Ability_Creature_Poison_05",
	["Spirit of Zanza"]="INV_Potion_30",
	["Spirit Steal"]="Spell_Shadow_Possession",
	["Spirit Tap"]="Spell_Shadow_Requiem",
	["Spiritual Domination"]="Spell_Fire_Incinerate",
	["Spiritual Focus"]="Spell_Arcane_Blink",
	["Spiritual Guidance"]="Spell_Holy_SpiritualGuidence",
	["Spiritual Healing"]="Spell_Nature_MoonGlow",
	["Spit"]="Spell_Nature_CorrosiveBreath",
	["Spit Out"]="Spell_Nature_Drowsy",
	["Splintered Obsidian"]="Spell_Shadow_BurningSpirit",
	["Spore Cloud"]="Spell_Nature_DryadDispelMagic",
	["Spotlight"]="Spell_Holy_InnerFire",
	["Sprint"]="Ability_Rogue_Sprint",
	["Starfire"]="Spell_Arcane_StarFire",
	["Starfire Stun"]="Spell_Arcane_StarFire",
	["Stalker's Ally"]="Spell_Nature_SpiritWolf",
	["Stamina"]="Spell_Nature_UnyeildingStamina",
	["Starfall"]="Spell_Arcane_StarFire",
	["Starshards"]="Spell_Arcane_StarFire",
	["Static Barrier"]="Spell_Nature_LightningShield",
	["Static Conduit"]="Spell_Nature_CallStorm",
	["Static Electricity"]="Spell_Nature_LightningShield",
	["Static Field"]="Spell_Nature_WispHeal",
	["Staves"]="INV_Staff_08",
	["Stealth"]="Ability_Stealth",
	["Stealth Detection"]="Ability_EyeOfTheOwl",
	["Steam Jet"]="Ability_Hibernation",
	["Sticky Tar"]="Ability_Warrior_Disarm",
	["Stinger Charge"]="Ability_Warrior_Charge",
	["Stinger Spray"]="INV_Misc_MonsterTail_03",
	["Stomp"]="Ability_BullRush",
	["Stone Skin"]="Ability_GolemThunderClap",
	["Stoneclaw Totem"]="Spell_Nature_StoneClawTotem",
	["Stoneform"]="Spell_Shadow_UnholyStrength",
	["Stoneshield"]="INV_Potion_67",
	["Stoneskin Totem"]="Spell_Nature_StoneSkinTotem",
	["Stormbolt"]="Ability_ThunderBolt",
	["Stormcaller's Wrath"]="Spell_Nature_StarFall",
	["Stormpike's Salvation"]="Spell_Nature_Sentinal",
	["Stormstout"]="INV_Drink_13",
	["Stormstrike"]="Spell_Holy_SealOfMight",
	["Stormwind Gift of Friendship"]="INV_Misc_Gift_03",
	["Stratholme Holy Water"]="INV_Potion_75",
	["Strength"]="INV_Potion_58",
	["Strength of Earth Totem"]="Spell_Nature_EarthBindTotem",
	["Strength of Isha Awak"]="Spell_Nature_Purge",
	["Strength of Stone"]="Ability_GolemThunderClap",
	["Strength of the Champion"]="Spell_Holy_PowerWordShield",
	["Strike"]="Ability_Rogue_Ambush",
	["Strike of the Scorpok"]="Spell_Nature_ForceOfNature",
	["Strong Anti-Venom"]="Spell_Nature_NullifyPoison_02",
	["Strong Cleave"]="Ability_Warrior_Cleave",
	["Stuck"]="Spell_Shadow_Teleport",
	["Stun"]="INV_Mace_02",
	["Stun Bomb"]="Spell_Fire_SelfDestruct",
	["Stun Bomb Attack"]="Spell_Fire_SelfDestruct",
	["Stunning Blast"]="Spell_Frost_Stun",
	["Stunning Blow"]="Spell_Holy_Dizzy",
	["Stygian Grasp"]="Spell_Shadow_DeadOfNight",
	["Submersion"]="Spell_Shadow_DemonBreath",
	["Subtlety"]="Ability_EyeOfTheOwl",
	["Suffering"]="Spell_Shadow_BlackPlague",
	["Suicide"]="Spell_Shadow_LifeDrain",
	["Sul'thraze"]="Spell_Shadow_DeathCoil",
	["Summon"]="Spell_Arcane_Blink",
	["Summon Charger"]="Ability_Mount_Charger",
	["Summon Dreadsteed"]="Ability_Mount_Dreadsteed",
	["Summon Felhunter"]="Spell_Shadow_SummonFelHunter",
	["Summon Felsteed"]="Spell_Nature_Swiftness",
	["Summon Imp"]="Spell_Shadow_SummonImp",
	["Summon Infernals"]="Spell_Shadow_Charm",
	["Summon Isalien DND"]="Temp",
	["Summon Jarien and Sothos DND"]="Temp",
	["Summon Kormok DND"]="Temp",
	["Summon Lord Valthalak DND"]="Temp",
	["Summon Mor Grayhoof DND"]="Temp",
	["Summon Shardlings"]="Spell_Nature_Earthquake",
	["Summon Skeleton"]="Spell_Shadow_RaiseDead",
	["Summon Spawn of Bael'Gar"]="Spell_Fire_LavaSpawn",
	["Summon Succubus"]="Spell_Shadow_SummonSuccubus",
	["Summon Thelrin DND"]="Temp",
	["Summon Various DND"]="Temp",
	["Summon Voidwalker"]="Spell_Shadow_SummonVoidWalker",
	["Summon Warhorse"]="Spell_Nature_Swiftness",
	["Sunder Armor"]="Ability_Warrior_Sunder",
	["Sundering Cleave"]="Ability_Warrior_Sunder",
	["Super Shrink Ray"]="Spell_Ice_MagicDamage",
	["Suppression"]="Spell_Shadow_UnsummonBuilding",
	["Suppression Aura"]="Spell_Fire_WindsOfWoe",
	["Supreme Power"]="INV_Potion_41",
	["Surefooted"]="Ability_Kick",
	["Surge"]="Ability_Warrior_Charge",
	["Surge of Strength"]="Spell_Nature_Strength",
	["Surprise Attack"]="Ability_CheapShot",
	["Survivalist"]="Spell_Shadow_Twilight",
	["Sweep"]="Spell_Nature_Thorns",
	["Sweeping Slam"]="Ability_Devour",
	["Sweeping Strikes"]="Ability_Rogue_SliceDice",
	["Sweet Surprise"]="INV_ValentinesChocolate03",
	["Swiftmend"]="INV_Relics_IdolofRejuvenation",
	["Swiftness of Zanza"]="INV_Potion_31",
	["Swim Speed"]="INV_Potion_13",
	["Swipe"]="INV_Misc_MonsterClaw_03",
	["Swoop"]="Ability_Warrior_Cleave",
	["Sword Specialization"]="INV_Sword_27",
	["System Shock"]="Spell_Shadow_CorpseExplode",
	["Tactical Mastery"]="Spell_Nature_EnchantArmor",
	["Tail Lash"]="Ability_CriticalStrike",
	["Tail Sweep"]="INV_Misc_MonsterScales_05",
	["Tailoring"] = "Trade_Tailoring",
	["Tainted Blood"]="Spell_Shadow_LifeDrain",
	["Tainted Blood Effect"]="Spell_Shadow_LifeDrain",
	["Tainted Mind"]="Spell_Shadow_ShadowPact",
	["Tainted Howl"]="Spell_Shadow_Requiem",
	["Talisman of Binding"]="Spell_Nature_LightningShield",
	["Tame Beast"]="Ability_Hunter_BeastTaming",
	["Tamed Pet Passive"]="Ability_Mount_PinkTiger",
	["Target Dummy Spawn Effect"]="Spell_Shadow_Teleport",
	["Target Lock"]="INV_Gizmo_01",
	["Taunt"]="Spell_Nature_Reincarnation",
	["Tea with Sugar"]="INV_Drink_15",
	["Teleport"]="Spell_Arcane_Blink",
	["Teleport: Darnassus"]="Spell_Arcane_TeleportDarnassus",
	["Teleport: Ironforge"]="Spell_Arcane_TeleportIronForge",
	["Teleport: Moonglade"]="Spell_Arcane_TeleportMoonglade",
	["Teleport: Orgrimmar"]="Spell_Arcane_TeleportOrgrimmar",
	["Teleport: Stormwind"]="Spell_Arcane_TeleportStormWind",
	["Teleport: Thunder Bluff"]="Spell_Arcane_TeleportThunderBluff",
	["Teleport: Undercity"]="Spell_Arcane_TeleportUnderCity",
	["Temptress' Kiss"]="Spell_Arcane_Blink",
	["Tendon Rip"]="Ability_CriticalStrike",
	["Tendon Slice"]="Ability_CriticalStrike",
	["Terrify"]="Ability_Physical_Taunt",
	["Terrifying Howl"]="Ability_Devour",
	["Terrifying Roar"]="Ability_Devour",
	["Terrifying Screech"]="Spell_Shadow_SummonImp",
	["Testament of Hope"]="Spell_Holy_GreaterHeal",
	["Tetanus"]="Spell_Holy_HarmUndeadAura",
	["The Baron's Ultimatum"]="Spell_Shadow_Charm",
	["The Big One"]="Spell_Fire_SelfDestruct",
	["The Burrower's Shell"]="Spell_Holy_DevotionAura",
	["The Eye of Diminution"]="Spell_Magic_LesserInvisibilty",
	["The Eye of the Dead"]="INV_Trinket_Naxxramas01",
	["The Furious Storm"]="Spell_Nature_CallStorm",
	["The Green Tower"]="Spell_Nature_Thorns",
	["The Human Spirit"]="INV_Enchant_ShardBrilliantSmall",
	["The Lion Horn of Stormwind"]="INV_Misc_Horn_03",
	["Thick Hide"]="INV_Misc_Pelt_Bear_03",
	["Thorium Grenade"]="Spell_Fire_SelfDestruct",
	["Thorium Shield Spike"]="INV_Ammo_Arrow_01",
	["Thorn Volley"]="Spell_Nature_NaturesWrath",
	["Thorns"]="Spell_Nature_Thorns",
	["Thorns Aura"]="Spell_Nature_Thorns",
	["Thousand Blades"]="INV_Sword_53",
	["Thrash"]="Ability_Warrior_PunishingBlow",
	["Threatening Gaze"]="Spell_Shadow_Charm",
	["Threatening Growl"]="Ability_Racial_Cannibalize",
	["Throw"]="Ability_Throw",
	["Throw Axe"]="INV_Axe_08",
	["Throw Dynamite"]="Spell_Fire_SelfDestruct",
	["Throw Liquid Fire"]="Spell_Fire_MeteorStorm",
	["Throw Wrench"]="INV_Misc_Wrench_01",
	["Throwing Specialization"]="INV_ThrowingAxe_03",
	["Throwing Weapon Specialization"]="INV_ThrowingKnife_01",
	["Thrown"]="INV_ThrowingKnife_02",
	["Thunder Bluff Gift of Friendship"]="INV_Misc_Gift_05",
	["Thunder Clap"]="Spell_Nature_ThunderClap",
	["Thunderbrew Lager"]="INV_Drink_05",
	["Thunderclap"]="Spell_Nature_ThunderClap",
	["Thundercrack"]="Spell_Nature_ThunderClap",
	["Thundercrash"]="Spell_Nature_ThunderClap",
	["Thunderfury"]="Spell_Nature_Cyclone",
	["Thundershock"]="Spell_Lightning_LightningBolt01",
	["Thundering Strikes"]="Ability_ThunderBolt",
	["Thunderstomp"]="Ability_Hunter_Pet_Gorilla",
	["Tidal Charm"]="Spell_Frost_SummonWaterElemental",
	["Tidal Focus"]="Spell_Frost_ManaRecharge",
	["Tidal Mastery"]="Spell_Nature_Tranquility",
	["Tiger Riding"]="Spell_Nature_Swiftness",
	["Tiger's Fury"]="Ability_Mount_JungleTiger",
	["Time Lapse"]="Spell_Arcane_PortalOrgrimmar",
	["Toad Explode"]="Spell_Nature_AbolishMagic",
	["Toasted Smorc"]="INV_SummerFest_Smorc",
	["Torch"]="Spell_Fire_SelfDestruct",
	["Torch Burst"]="Spell_Fire_Immolation",
	["Torch Toss"]="Spell_Fire_Fireball02",
	["Torment"]="Spell_Shadow_GatherShadows",
	["Totem"]="Spell_Nature_StoneClawTotem",
	["Totemic Focus"]="Spell_Nature_MoonGlow",
	["Totemic Power"]="Trade_Engineering",
	["Touch of Death"]="Spell_Shadow_UnsummonBuilding",
	["Touch of Ravenclaw"]="Spell_Shadow_Requiem",
	["Touch of Shadow"]="Spell_Shadow_PsychicScream",
	["Touch of Weakness"]="Spell_Shadow_DeadofNight",
	["Touch of Zanzil"]="Spell_Shadow_UnsummonBuilding",
	["Toughness"]="Spell_Holy_Devotion",
	["Toxic Bolt"]="Spell_Nature_CorrosiveBreath",
	["Toxic Saliva"]="Spell_Nature_CorrosiveBreath",
	["Toxic Spit"]="Spell_Nature_CorrosiveBreath",
	["Toxic Vapors"]="Ability_Creature_Disease_02",
	["Toxic Volley"]="Spell_Nature_CorrosiveBreath",
	["Toxin"]="Spell_Nature_AbolishMagic",
	["Track Beasts"]="Ability_Tracking",
	["Track Demons"]="Spell_Shadow_SummonFelHunter",
	["Track Dragonkin"]="INV_Misc_Head_Dragon_01",
	["Track Elementals"]="Spell_Frost_SummonWaterElemental",
	["Track Giants"]="Ability_Racial_Avatar",
	["Track Hidden"]="Ability_Stealth",
	["Track Humanoids"]="Spell_Holy_PrayerOfHealing",
	["Track Undead"]="Spell_Shadow_DarkSummoning",
	["Trample"]="Spell_Nature_NaturesWrath",
	["Tranquil Air Totem"]="Spell_Nature_Brilliance",
	["Tranquil Spirit"]="Spell_Holy_ElunesGrace",
	["Tranquility"]="Spell_Nature_Tranquility",
	["Tranquilizing Poison"]="Ability_Creature_Poison_03",
	["Tranquilizing Shot"]="Spell_Nature_Drowsy",
	["Transporter Malfunction"]="Spell_Holy_Dizzy",
	["Trap"]="INV_Misc_Net_01",
	["Trap Mastery"]="Ability_Ensnare",
	["Travel Form"]="Ability_Druid_TravelForm",
	["Trelane's Freezing Touch"]="Spell_Shadow_UnsummonBuilding",
	["Tremor Totem"]="Spell_Nature_TremorTotem",
	["Tricked or Treated"]="INV_Misc_Food_59",
	["Trick"]="Ability_Druid_Cower",
	["Trip"]="Ability_Rogue_Trip",
	["Trogg Ale"]="INV_Drink_09",
	["True Fulfillment"]="Spell_Shadow_Charm",
	["Trueshot Aura"]="Ability_TrueShot",
	["Tunneler Acid"]="Spell_Nature_Acid_01",
	["Turn Undead"]="Spell_Holy_TurnUndead",
	["Twisted Reflection"]="Spell_Arcane_PortalDarnassus",
	["Twisted Tranquility"]="Spell_Nature_Tranquility",
	["Twisting Nether"]="Spell_Shadow_SoulGem",
	["Two-Handed Axes and Maces"]="INV_Axe_10",
	["Two-Handed Axes"]="INV_Axe_04",
	["Two-Handed Maces"]="INV_Mace_04",
	["Two-Handed Swords"]="Ability_MeleeDamage",
	["Two-Handed Weapon Specialization"]="INV_Axe_09",
	["Unarmed"]="Ability_GolemThunderClap",
	["Unbalancing Strike"]="Ability_Warrior_DecisiveStrike",
	["Unbreakable Will"]="Spell_Magic_MageArmor",
	["Unbridled Wrath Effect"]="Spell_Nature_StoneClawTotem",
	["Unbridled Wrath"]="Spell_Nature_StoneClawTotem",
	["Undead Horsemanship"]="Spell_Nature_Swiftness",
	["Undercity Gift of Friendship"]="INV_Misc_Gift_04",
	["Underwater Breathing"]="Spell_Shadow_DemonBreath",
	["Unending Breath"]="Spell_Shadow_DemonBreath",
	["Unholy Aura"]="Spell_Shadow_UnholyStrength",
	["Unholy Frenzy"]="Spell_Nature_BloodLust",
	["Unholy Power"]="Spell_Shadow_ShadowWordDominate",
	["Unholy Shield"]="Spell_Shadow_DetectLesserInvisibility",
	["Universal Remote"]="INV_Gizmo_02",
	["Unleashed Fury"]="Ability_BullRush",
	["Unstable Concoction"]="Spell_Fire_Incinerate",
	["Unstable Power"]="Spell_Lightning_LightningBolt01",
	["Untamed Fury"]="Spell_Nature_BloodLust",
	["Unyielding Faith"]="Spell_Holy_UnyieldingFaith",
	["Updraft"]="Spell_Nature_EarthBind",
	["Uppercut"]="INV_Gauntlets_05",
	["Uther's Light Effect"]="Spell_Holy_PowerWordShield",
	["Vampiric Embrace"]="Spell_Shadow_UnsummonBuilding",
	["Vampirism"]="Spell_Holy_LesserHeal02",
	["Vanish"]="Ability_Vanish",
	["Vanished"]="Ability_Vanish",
	["Veil of Darkness"]="Spell_Shadow_GatherShadows",
	["Veil of Shadow"]="Spell_Shadow_GatherShadows",
	["Vekniss Catalyst"]="Ability_Creature_Poison_02",
	["Vengeance"]="Spell_Nature_Purge",
	["Venom Shot"]="Spell_Lightning_LightningBolt01",
	["Venom Spit"]="Spell_Nature_CorrosiveBreath",
	["Venom Sting"]="Ability_PoisonSting",
	["Venomhide Poison"]="Ability_Rogue_DualWeild",
	["Venomous Totem"]="Spell_Totem_WardOfDraining",
	["Very Berry Cream"]="INV_ValentinesChocolate02",
	["Vicious Bite"]="Ability_Racial_Cannibalize",
	["Vicious Rend"]="Ability_Gouge",
	["Vigor"]="Spell_Nature_EarthBindTotem",
	["Vile Poisons"]="Ability_Rogue_FeignDeath",
	["Vindication"]="Spell_Holy_Vindication",
	["Viper Sting"]="Ability_Hunter_AimedShot",
	["Virulent Poison"]="Spell_Nature_CorrosiveBreath",
	["Visions of the Past"]="Spell_Holy_SenseUndead",
	["Void Blast"]="Spell_Shadow_ChillTouch",
	["Void Bolt"]="Spell_Shadow_ShadowBolt",
	["Void Zone"]="Spell_Shadow_AntiShadow",
	["Volatile Infection"]="Spell_Holy_HarmUndeadAura",
	["Volley"]="Ability_Marksmanship",
	["Voodoo Hex"]="Spell_Shadow_CurseOfMannoroth",
	["Wail of Nightlash"]="Spell_Shadow_Possession",
	["Wail of Souls"]="Spell_Shadow_ShadowBolt",
	["Wail of the Banshee"]="Spell_Shadow_Possession",
	["Wailing Dead"]="Spell_Shadow_Possession",
	["Walking Bomb Effect"]="Spell_Fire_SelfDestruct",
	["Wand Specialization"]="INV_Wand_01",
	["Wandering Plague"]="Spell_Shadow_CorpseExplode",
	["Wands"]="Ability_ShootWand",
	["War Stomp"]="Ability_WarStomp",
	["War Rider's Stun Bomb Attack"]="Spell_Fire_SelfDestruct",
	["Ward of the Eye"]="Spell_Totem_WardOfDraining",
	["Warrior's Resolve"]="Spell_Holy_Renew",
	["Warrior's Wrath"]="Ability_Warrior_SavageBlow",
	["Warsong Flag"]="INV_BannerPVP_01",
	["Washte Pawne's Resolve"]="Spell_Nature_Purge",
	["Water"]="Spell_Frost_SummonWaterElemental",
	["Water Breathing"]="Spell_Shadow_DemonBreath",
	["Water Walking"]="Spell_Frost_WindWalkOn",
	["Wavering Will"]="Spell_Shadow_AnimateDead",
	["Weak Frostbolt"]="Spell_Frost_FrostBolt02",
	["Weak Poison"]="Spell_Nature_CorrosiveBreath",
	["Weakened Soul"]="Spell_Holy_AshesToAshes",
	["Weakening Disease"]="Spell_Shadow_AbominationExplosion",
	["Web"]="Ability_Ensnare",
	["Web Explosion"]="Ability_Ensnare",
	["Web Spin"]="Spell_Nature_EarthBind",
	["Web Spray"]="Spell_Nature_Web",
	["Web Wrap"]="Spell_Nature_Web",
	["Well Fed"]="Spell_Misc_Food",
	["Whipper Root Tuber"]="INV_Misc_Food_55",
	["Whirling Barrage"]="INV_Spear_05",
	["Whirling Trip"]="INV_Spear_05",
	["Whirlwind"]="Ability_Whirlwind",
	["Wide Slash"]="Ability_Warrior_Cleave",
	["Wide Swipe"]="INV_Axe_17",
	["Widow's Embrace"]="Spell_Arcane_Blink",
	["Wildvine Potion"]="INV_Potion_34",
	["Wild Magic"]="Spell_Shadow_charm",
	["Wild Polymorph"]="Spell_Nature_Polymorph",
	["Wild Rage"]="Spell_Shadow_GrimWard",
	["Wild Regeneration"]="Spell_Nature_Rejuvenation",
	["Will of Hakkar"]="Spell_Shadow_ShadowWordDominate",
	["Will of Shahram"]="Spell_Holy_MindVision",
	["Will of the Forsaken"]="Spell_Shadow_RaiseDead",
	["Wilt"]="Spell_Holy_Excorcism",
	["Windblossom Berries"]="INV_Misc_Fork\38Knife",
	["Windfury Totem"]="Spell_Nature_Windfury",
	["Windfury Totem Effect"]="Spell_Nature_Windfury",
	["Windfury Weapon"]="Spell_Nature_Cyclone",
	["Windreaper"]="Spell_Nature_EarthBind",
	["Windsor's Frenzy"]="Ability_Racial_BloodRage",
	["Windwall Totem"]="Spell_Nature_EarthBind",
	["Wing Buffet"]="INV_Misc_MonsterScales_14",
	["Wing Clip"]="Ability_Rogue_Trip",
	["Wing Flap"]="Spell_Nature_EarthBind",
	["Winterfall Firewater"]="INV_Potion_92",
	["Winter's Chill"]="Spell_Frost_ChillingBlast",
	["Wisdom of Agamaggan"]="Spell_Arcane_Blink",
	["Wisp Costume"]="Ability_Rogue_Disguise",
	["Wisp Spirit"]="Spell_Nature_WispSplode",
	["Wither"]="Spell_Nature_NullifyDisease",
	["Wither Strike"]="Spell_Nature_MagicImmunity",
	["Wither Touch"]="Spell_Nature_Drowsy",
	["Withered Touch"]="Spell_Shadow_CreepingPlague",
	["Withering Heat"]="Spell_Fire_Fire",
	["Wolf Riding"]="Spell_Nature_Swiftness",
	["World Enlarger"]="Spell_Shadow_AntiShadow",
	["Wound Poison II"]="INV_Misc_Herb_16",
	["Wound Poison III"]="INV_Misc_Herb_16",
	["Wound Poison IV"]="INV_Misc_Herb_16",
	["Wound Poison"]="INV_Misc_Herb_16",
	["Wound"]="Ability_Gouge",
	["Wrath"]="Spell_Nature_AbolishMagic",
	["Wrath of Ragnaros"]="Spell_Fire_SoulBurn",
	["Wrath of the Plaguebringer"]="Spell_Shadow_AntiShadow",
	["Wyvern Sting"]="INV_Spear_02",
	["Yaaarrrr"]="Ability_Rogue_Disguise",
	["Zeal"]="Spell_Holy_InnerFire",
	["Zulian Slice"]="INV_Sword_35",
}

BabbleSpellED:Debug()
BabbleSpellED:SetStrictness(true)

function BabbleSpellED:GetSpellIcon(spell)
	self:argCheck(spell, 2, "string")
	local icon = spellIcons[spell] or spellIcons[self:HasReverseTranslation(spell) and self:GetReverseTranslation(spell) or false]
	if not icon then
		return nil
	end
	return "Interface\\Icons\\" .. icon
end

function BabbleSpellED:GetShortSpellIcon(spell)
	self:argCheck(spell, 2, "string")
	return spellIcons[spell] or spellIcons[self:HasReverseTranslation(spell) and self:GetReverseTranslation(spell) or false]
end

AceLibrary:Register(BabbleSpellED, MAJOR_VERSION, MINOR_VERSION)
BabbleSpellED = nil
